<?php
session_start();
include_once("../helpers/session_check.php");
include_once("../private/conexion.php");
?>
<!DOCTYPE html>
<html dir="ltr" lang="en">

<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <!-- Tell the browser to be responsive to screen width -->
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <meta name="description" content="">
  <meta name="author" content="">
  <title>Agregar sucursal - Punto de venta</title>

  <?php include_once("../helpers/css.html"); ?>
</head>

<body>

  <div class="preloader">
    <div class="lds-ripple">
      <div class="lds-pos"></div>
      <div class="lds-pos"></div>
    </div>
  </div>

  <div id="main-wrapper" data-theme="light" data-layout="vertical" data-navbarbg="skin6" data-sidebartype="full" data-sidebar-position="fixed" data-header-position="fixed" data-boxed-layout="full">

    <?php include_once("../menu/header.php"); ?>

    <?php include_once("../menu/side-menu.php"); ?>

    <div class="page-wrapper">
      <!-- ============================================================== -->
      <!-- Bread crumb and right sidebar toggle -->
      <!-- ============================================================== -->
      <div class="page-breadcrumb">
        <div class="row">
          <div class="col-7 align-self-center">
            <h3 class="page-title text-truncate text-dark font-weight-medium mb-1">Agregar una nueva sucursal</h3>
            <div class="d-flex align-items-center">
              <nav aria-label="breadcrumb">
                <ol class="breadcrumb m-0 p-0">
                  <li class="breadcrumb-item"><a href="./list-offices.php">Lista de sucursales</a>
                  </li>
                </ol>
              </nav>
            </div>

            <!-- <button class="btn btn-primary" data-toggle="modal" data-target="#modalCategoria">Nueva catetgor&iacute;a</button> -->
          </div>
        </div>
      </div>

      <div class="container-fluid">
        <div class="row">
          <!-- DATA -->
          <div class="col-12">


            <div class="row">
              <div class="col-12 col-md-6">
                <p class="text-center">Nombre de la sucursal (obligatorio)</p>
                <input type="text" class="form-control" name="nombre" id="nombre" placeholder="Escribe el nombre de la sucursal" required>
              </div>

              <div class="col-12 col-md-6">
                <p class="text-center">Dirección (si existe)</p>
                <input type="text" class="form-control" name="direccion" id="direccion" placeholder="Escribe la dirección de la sucursal">
              </div>

              <div class="col-12 col-md-6 mt-5">
                <p class="text-center">Teléfono (si existe)</p>
                <input type="tel" class="form-control" name="telefono" id="telefono" placeholder="Escribe el teléfono de la sucursal">
              </div>

              <div class="col-12 col-md-6 mt-5" id="divEncargado">
                <p class="text-center">Elige el encargado de la sucursal (obligatorio)</p>
                <select class="form-control" name="encargado" id="encargado" required>
                  <option selected disabled>Selecciona un encargado</option>
                  <option value="" selected disabled>Selecciona el encargado de la sucursal</option>
                            <?php
                            try {
                                $empleados = $mysqli->query("SELECT * FROM administradores ORDER BY nombre ASC");
                                if ($empleados) {
                                    // echo 'Total de Administradores: ' . mysqli_num_rows($r);
                                    while ($array = $empleados->fetch_object()) {
                                        $nombre = $array->nombre;
                                        $id = $array->id;
                                        echo "<option value='" . $id . "'>" . $nombre . "</option>";
                                    }
                                }
                            } catch (Exception $e) {
                                // echo 'Total de Proveedores: 0';
                            }
                            ?>
                </select>
              </div>
            </div>

          </div>

          <!--/ DATA -->
        </div>

        <button type="button" onclick="agregar_sucursal()" class="btn btn-lg btn-block btn-primary mt-5 mb-5">Agregar sucursal</button>

      </div>

      <?php include_once("../menu/footer.php"); ?>

    </div>
    <!-- ============================================================== -->
    <!-- End Page wrapper  -->
    <!-- ============================================================== -->
  </div>

  <!-- MODALES -->
  <!-- Modal CATEGORIA -->
  <div class="modal fade" id="modalCategoria" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered" role="document">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="exampleModalCenterTitle">Agregar categor&iacute;a</h5>
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <div class="modal-body">
          <h3>Escribe le nombre de la nueva categor&iacute;a</h3>
          <input type="text" id="nueva_categoria" class="form-control" placeholder="Escribe el nombre de la nueva categor&iacute;a">
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-primary" data-dismiss="modal" aria-label="Close">Cancelar</button>
          <button type="button" onclick="agregar_categoria()" class="btn btn-outline-success">Continuar</button>
        </div>
      </div>
    </div>
  </div>

  <?php include_once("../helpers/js.html"); ?>

  <script type="text/javascript">
    function change_img(input) {
      if (input.files && input.files[0]) {
        var reader = new FileReader();

        reader.onload = function(e) {
          $('#imagen-selected').attr('src', e.target.result);
        }
        reader.readAsDataURL(input.files[0]);
      }
    }

    $("#imagen").change(function() {
      change_img(this);
    });
  </script>

  <script src="../js/sistem.js"></script>

</body>

</html>