<?php
session_start();
include_once("../helpers/session_check.php");
include_once("../private/conexion.php");
?>
<!DOCTYPE html>
<html dir="ltr" lang="en">

<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <!-- Tell the browser to be responsive to screen width -->
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <meta name="description" content="">
  <meta name="author" content="">
  <title>Agregar producto - Punto de venta</title>

  <?php include_once("../helpers/css.html"); ?>
</head>

<body>

  <div class="preloader">
    <div class="lds-ripple">
      <div class="lds-pos"></div>
      <div class="lds-pos"></div>
    </div>
  </div>

  <div id="main-wrapper" data-theme="light" data-layout="vertical" data-navbarbg="skin6" data-sidebartype="full" data-sidebar-position="fixed" data-header-position="fixed" data-boxed-layout="full">

    <?php include_once("../menu/header.php"); ?>

    <?php include_once("../menu/side-menu.php"); ?>

    <div class="page-wrapper">
      <!-- ============================================================== -->
      <!-- Bread crumb and right sidebar toggle -->
      <!-- ============================================================== -->
      <div class="page-breadcrumb">
        <div class="row">
          <div class="col-7 align-self-center">
            <h3 class="page-title text-truncate text-dark font-weight-medium mb-1">Agregar un nuevo producto</h3>
            <div class="d-flex align-items-center">
              <nav aria-label="breadcrumb">
                <ol class="breadcrumb m-0 p-0">
                  <li class="breadcrumb-item"><a href="./list-products.php">Lista de productos</a>
                  </li>
                </ol>
              </nav>
            </div>

            <!-- <button class="btn btn-primary" data-toggle="modal" data-target="#modalCategoria">Nueva catetgor&iacute;a</button> -->
          </div>
        </div>
      </div>

      <div class="container-fluid">
        <div class="row">
          <!-- DATA -->
          <div class="col-12 col-md-8">


            <div class="row">
              <div class="col-12 col-md-6">
                <p class="text-center">Nombre del artículo (obligatorio)</p>
                <input type="text" class="form-control" name="nombre" id="nombre" placeholder="Escribe el nombre del artículo" required>
              </div>

              <div class="col-12 col-md-6">
                <p class="text-center">Marca (obligatorio)</p>
                <input type="text" class="form-control" name="marca" id="marca" placeholder="Escribe la marca del artículo" required>
              </div>

              <!-- <div class="col-12 col-md-6 mt-5" id="divCategoria">
                <p class="text-center">Elige la categoría del artículo (obligatorio)</p>
                <select class="form-control" name="categoria" id="categoria" required>
                  <option selected disabled>Selecciona una categoria</option>
                  <?php
                  /*$rcategorias = $mysqli->query("SELECT * FROM categorias");
                  if ($rcategorias) {
                    while ($array = $rcategorias->fetch_object()) {
                      $nombre = $array->nombre;
                      echo "<option value='" . $nombre . "'>" . $nombre . "</option>";
                    }
                  }*/
                  ?>
                  <option value="No Aplica">No Aplica</option>
                </select>
              </div> -->

              <div class="col-12 col-md-6 mt-5">
                <p class="text-center">Precio de compra (obligatorio)</p>
                <input type="number" class="form-control" placeholder="Omite el signo de pesos ($) - Ej. 1100" min="1" name="precio_compra" id="precio_compra" required>
              </div>


              <div class="col-12 col-md-6 mt-5">
                <p class="text-center">Precio de venta (obligatorio)</p>
                <input type="number" class="form-control" placeholder="Omite el signo de pesos ($) - Ej. 1100" min="1" name="precio_venta" id="precio_venta" required>
              </div>

              <div class="col-12 col-md-6 mt-5">
                <p class="text-center">Precio de mayorista (obligatorio)</p>
                <input type="number" class="form-control" placeholder="Omite el signo de pesos ($) - Ej. 1100" min="1" name="precio_mayorista" id="precio_mayorista" required>
              </div>

              <div class="col-12 col-md-6 mt-5">
                <p class="text-center">Comisi&oacute;n (a precio normal de venta) (obligatorio)</p>
                <input type="number" class="form-control" placeholder="Omite el signo de pesos ($) - Ej. 1100" min="1" name="comision_venta" id="comision_venta" required>
              </div>

              <div class="col-12 col-md-6 mt-5">
                <p class="text-center">Comisi&oacute;n (a precio de mayorista) (obligatorio)</p>
                <input type="number" class="form-control" placeholder="Omite el signo de pesos ($) - Ej. 1100" min="1" name="comision_mayorista" id="comision_mayorista" required>
              </div>

              <div class="col-12 col-md-6 mt-5">
                <p class="text-center">Forma de vender este producto (obligatorio)</p>
                <select class="form-control" name="metodo" id="metodo" required>
                  <option value="" selected disabled>Selecciona una forma</option>
                  <option value="Piezas">Piezas</option>
                  <option value="Kilos">Kilos</option>
                  <option value="Libras">Libras</option>
                  <option value="Caja">Caja (Piezas por caja)</option>
                </select>
              </div>

              <div class="col-12 col-md-6 mt-5" id="mostrar_bolsas">
                <p class="text-center">Ingresa las existencias del productos (obligatorio)</p>
                <input type="number" class="form-control" placeholder="Cantidad de productos" min="0" id="cantidad" name="cantidad" value="" required>
              </div>

              <div class="col-12 col-md-6 mt-5">
                <p class="text-center">Alerta stock</p>
                <input type="number" class="form-control" placeholder="Mínimo de producto para recibir una notificaci&oacute;n" name="alerta_stock" id="alerta_stock">
              </div>

              <div class="col-12 col-md-6 mt-5">
                <p class="text-center">Nombre del Proveedor (obligatorio)</p>
                <select class="form-control" name="proveedor" id="proveedor" required>
                  <option value="" disabled selected>Selecciona el proveedor de este artículo</option>
                  <!-- TODO: Obtener los proveedores de la base de datos -->
                  <?php
                  $rprovedores = $mysqli->query("SELECT * FROM proveedores");
                  if ($rprovedores) {
                    while ($array = $rprovedores->fetch_object()) {
                      $nombre_proveedor = $array->razon_social;
                      echo "<option value='" . $nombre_proveedor . "'>" . $nombre_proveedor . "</option>";
                    }
                  }
                  ?>
                  <option value="Sin Proveedor">Sin Proveedor</option>
                </select>
              </div>

              <div class="col-12 col-md-6 mt-5">
                <p class="text-center">PDF</p>
                <input type="file" class="form-control" name="pdf" id="pdf">
              </div>

              <div class="col-12 col-md-6 mt-5" id="mostrar_bolsas">
                <p class="text-center">Selecciona la imagen del producto</p>
                <input type="file" class="form-control" id="imagen" required>
              </div>

              <!-- <div class="col-12 col-md-6 mt-5"> -->
              <!-- <h5 class="text-center">Promoci&oacute;n / Descuento</h5> -->
              <!-- <input type="hidden" class="form-control" placeholder="Ingresa el descuento del art&iacute;culo" name="descuento" value="0" id="descuento"> -->
              <!-- </div> -->

              <div class="col-12 col-md-12 mt-5">
                <h5 class="text-center">C&oacute;digo de barras</h5>
                <h5>Si existe un c&oacute;digo de barras de este art&iacute;culo ingresalo, si no deja el campo vac&iacute;o</h5>
                <input type="text" class="form-control" placeholder="Ingresa el c&oacute;digo del art&iacute;culo" name="codigo" id="codigo">
              </div>

              <div class="col-12 col-md-12 mt-5">
                <p class="text-center">Descripción del artículo (obligatorio)</p>
                <textarea class="form-control" name="descripcion" id="descripcion" placeholder="Escribe la descripción de este art&iacute;culo" required></textarea>
              </div>
            </div>

          </div>

          <div class="col-12 col-md-4">
            <h3 class="text-center">Imagen del producto</h3>
            <img src="../assets/images/imagen-no-disponible.jpg" class="w-100" id="imagen-selected">
          </div>

          <!--/ DATA -->
        </div>

        <button type="button" onclick="agregar_producto()" class="btn btn-lg btn-block btn-primary mt-5 mb-5">Agregar producto</button>

      </div>

      <?php include_once("../menu/footer.php"); ?>

    </div>
    <!-- ============================================================== -->
    <!-- End Page wrapper  -->
    <!-- ============================================================== -->
  </div>

  MODALES
  <!-- Modal CATEGORIA -->
  <!-- <div class="modal fade" id="modalCategoria" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered" role="document">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="exampleModalCenterTitle">Agregar categor&iacute;a</h5>
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <div class="modal-body">
          <h3>Escribe le nombre de la nueva categor&iacute;a</h3>
          <input type="text" id="nueva_categoria" class="form-control" placeholder="Escribe el nombre de la nueva categor&iacute;a">
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-primary" data-dismiss="modal" aria-label="Close">Cancelar</button>
          <button type="button" onclick="agregar_categoria()" class="btn btn-outline-success">Continuar</button>
        </div>
      </div>
    </div>
  </div> -->

  <?php include_once("../helpers/js.html"); ?>

  <script type="text/javascript">
    function change_img(input) {
      if (input.files && input.files[0]) {
        var reader = new FileReader();

        reader.onload = function(e) {
          $('#imagen-selected').attr('src', e.target.result);
        }
        reader.readAsDataURL(input.files[0]);
      }
    }

    $("#imagen").change(function() {
      change_img(this);
    });
  </script>

  <script src="../js/sistem.js"></script>

</body>

</html>