  <?php
  session_start();
  include_once("../helpers/session_check.php");
  include_once("../private/conexion.php");
  include_once("../helpers/time-cdmx.php");
  if (!empty($_GET['r'])) {
    $identificador = $_GET['r'];
    $rlista_cart = $mysqli->query("SELECT * FROM car_order WHERE identificador='$identificador' ORDER BY id DESC");
    $rproducts = $mysqli->query("SELECT * FROM t_productos ORDER BY nombre ASC");

  ?>
    <!DOCTYPE html>
    <html dir="ltr" lang="en">

    <head>
      <meta charset="utf-8">
      <meta http-equiv="X-UA-Compatible" content="IE=edge">
      <!-- Tell the browser to be responsive to screen width -->
      <meta name="viewport" content="width=device-width, initial-scale=1">
      <meta name="description" content="">
      <meta name="author" content="">
      <title>Nueva venta - Punto de venta</title>

      <?php include_once("../helpers/css.html"); ?>
    </head>

    <body>

      <div class="preloader">
        <div class="lds-ripple">
          <div class="lds-pos"></div>
          <div class="lds-pos"></div>
        </div>
      </div>

      <div id="main-wrapper" data-theme="light" data-layout="vertical" data-navbarbg="skin6" data-sidebartype="full" data-sidebar-position="fixed" data-header-position="fixed" data-boxed-layout="full">

        <?php include_once("../menu/header.php"); ?>

        <?php include_once("../menu/side-menu.php"); ?>

        <div class="page-wrapper">
          <!-- ============================================================== -->
          <!-- Bread crumb and right sidebar toggle -->
          <!-- ============================================================== -->
          <div class="page-breadcrumb">
            <div class="row">
              <div class="col-7 align-self-center">
                <h3 class="page-title text-truncate text-dark font-weight-medium mb-1">Nueva venta</h3>
                <div class="d-flex align-items-center">
                  <nav aria-label="breadcrumb">
                    <ol class="breadcrumb m-0 p-0">
                      <li class="breadcrumb-item"><a href="./list-sells.php">Lista de ventas</a>
                      </li>
                    </ol>
                  </nav>
                </div>
              </div>
            </div>
          </div>

          <div class="container-fluid">

            <div class="card">
              <div class="card-body">

                <div class="text-right">
                  Día y Hora: <b><?php echo date("D-M-Y H:i:s"); ?></b>
                </div>

                <div class="row mt-5">

                  <div class="col-12 mt-3 mb-3">
                    <select class="form-control" id="sucursal_select" onchange="mostrar_productos_sucursal()">
                      <option value="" disabled selected>Selecciona sucursal</option>
                      <?php
                      $rroles = $mysqli->query("SELECT * FROM sucursales ORDER BY nombre ASC");
                      if ($rroles) {
                        while ($array = $rroles->fetch_object()) {
                          $id_sucursal     = $array->id;
                          $nombre_sucursal = $array->nombre;
                      ?>
                          <option value="<?php echo $id_sucursal; ?>"><?php echo $nombre_sucursal; ?></option>
                      <?php
                        }
                      }
                      ?>
                    </select>
                    <input type="hidden" id="sucursal">
                  </div>

                  <div class="col-12 col-md-4">
                    <input type="text" placeholder="Código del producto" id="codigo" name="codigo" class="form-control" required autofocus list="opciones">
                    <datalist id="opciones">

                    </datalist>
                  </div>

                  <div class="col-12 col-md-4">
                    <input type="number" placeholder="Elige la cantidad" id="cantidad" name="cantidad" class="form-control" min="1" required>
                  </div>

                  <div class="col-12 col-md-4">
                    <button class="form-control btn btn-lg btn-block btn-primary" type="button" onclick="agregar_cart('<?php echo $identificador; ?>', 'Producto')">Agregar producto</button>
                  </div>

                  <div class="col-12 col-md-6 mt-3">
                    <input type="text" placeholder="Id del paquete" id="codigo_paquete" name="codigo_paquete" class="form-control" required list="opcionesPaquetes">
                    <datalist id="opcionesPaquetes">
                      <?php 
                        $rpaquetes = $mysqli->query("SELECT * FROM paquetes ORDER BY nombre ASC");
                        if ($rpaquetes) {
                          while ($array = $rpaquetes->fetch_object()) {
                            $id_paquete     = $array->id;
                            $nombre_paquete = $array->nombre;
                            $cantidad_paquete = $array->cantidad;
                            $precio_paquete = $array->precio;
                            $id_producto_paquete = $array->id_producto;

                            echo '<option value="'.$id_paquete.'">'.$nombre_paquete.' ('.$cantidad_paquete.' productos) - $'.$precio_paquete.'</option>';
                          }
                        }
                      ?>
                      ?>
                    </datalist>
                  </div>

                  <div class="col-12 col-md-6 mt-3">
                    <button class="form-control btn btn-lg btn-block btn-primary" type="button" onclick="agregar_cart_paquete('<?php echo $identificador; ?>', 'Paquete')">Agregar paquete</button>
                  </div>
                </div>

                <div id="lista-cart" class="mt-5">
                  <script>
                    function cambiarEstadoSucursal(){
                      console.log('Sucursal habilitada');
                      if(<?php echo mysqli_num_rows($rlista_cart) > 0; ?>){
                        $('#sucursal_select').prop('disabled', false);
                      }else {
                        $('#sucursal_select').prop('disabled', true);
                      }
                      
                    }
                    cambiarEstadoSucursal();
                  </script>
                  <?php if (mysqli_num_rows($rlista_cart) > 0) { ?>

                    

                    <button class="btn btn-block btn-success mb-3" data-toggle="modal" data-target="#modalContinuarVenta">Completar venta</button>

                    <table class="table" id="tabla-nueva-venta">
                      <thead class="thead-dark">
                        <tr>
                          <th scope="col" class="table-especial">#</th>
                          <th scope="col" class="table-especial">Producto</th>
                          <th scope="col" class="table-especial">C&oacute;digo</th>
                          <th scope="col" class="table-especial">Precio unit.</th>
                          <th scope="col" class="table-especial">Subtotal</th>
                          <th scope="col" class="table-especial">Comision</th>
                          <th scope="col" class="table-especial">Acciones</th>
                      </thead>
                      <tbody>
                        <?php
                        $total_productos = 0;
                        $total_cart      = 0;
                        $total_comision  = 0;
                        $cartenvio       = array();

                        if ($rlista_cart) {
                          while ($array = $rlista_cart->fetch_object()) {
                            $id              = $array->id;
                            $nombre          = $array->nombre;
                            $id_tproducto    = $array->id_tproducto;
                            $cantidad        = $array->cantidad;
                            $precio_unitario = $array->precio_unitario;
                            $identificador   = $array->identificador;
                            $tipo            = $array->tipo;
                            $metodo          = $array->metodo;
                            $c_e             = $array->c_e;
                            $id_producto_lista    = $array->id_tproducto;
                            $total_productos += $cantidad;
                            $total_cart += ($cantidad * $precio_unitario);
                            $total_comision += ($cantidad * $c_e);

                            $cartenvio[] = array("product_name" => $nombre, "product_price" => $precio_unitario, "cantidad" => $cantidad);
                        ?>
                            <tr>
                              <th scope="row"><?php echo number_format($cantidad); ?></th>
                              <td><?php echo $nombre; ?></td>
                              <td><?php echo $id_producto_lista; ?></td>
                              <td>$<?php echo $precio_unitario; ?></td>
                              <td>$<?php echo number_format(($cantidad * $precio_unitario), 2) ?></td>
                              <td>$<?php echo number_format(($cantidad * $c_e), 2); ?></td>
                              <td class="text-center">
                                <button class="btn btn-danger" onclick="borrar_carrito_tabla('<?php echo $id; ?>','<?php echo $cantidad; ?>','<?php echo $id_tproducto; ?>','<?php echo $identificador; ?>')"><i class="bi bi-trash"></i></button>
                              </td>
                            </tr>
                        <?php
                          }
                        }
                        ?>
                      </tbody>
                    </table>

                    <h3>Comisi&oacute;n total: $<?php echo number_format($total_comision, 2); ?></h3>
                    <h2>Total de productos: <?php echo $total_productos; ?></h2>
                    <h1>Total a pagar: $<?php echo number_format($total_cart, 2); ?></h1>

                  <?php } else { ?>
                    <h3>No hay productos agregados.</h3>
                  <?php } ?>
                </div>
              </div>
            </div>

          </div>

          <?php include_once("../menu/footer.php"); ?>

        </div>
        <!-- ============================================================== -->
        <!-- End Page wrapper  -->
        <!-- ============================================================== -->
      </div>

      <!-- MODALS -->
      <div id="modales">

        <!-- Modal CONTINUAR VENTA -->
        <div class="modal fade" id="modalContinuarVenta" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
          <div class="modal-dialog modal-dialog-centered" role="document">
            <div class="modal-content">
              <div class="modal-header">
                <h5 class="modal-title" id="exampleModalCenterTitle">Completar venta</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                  <span aria-hidden="true">&times;</span>
                </button>
              </div>
              <div class="modal-body text-center">
                <h3>¿Seguro de que deseas completar esta venta?</h3>
                <div class="row mt-3">
                  <div class="col-12 col-md-6">
                    <div>
                      <button class="btn btn-success btn-lg btn-block" data-toggle="modal" data-target="#modalPagoCredito">Pago a cr&eacute;dito</button>
                    </div>
                  </div>

                  <div class="col-12 col-md-6">
                    <div>
                      <button class="btn btn-info btn-lg btn-block" data-toggle="modal" data-target="#modalPagoCompleto">Pago completo</button>
                    </div>
                  </div>
                </div>
              </div>
              <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancelar</button>
              </div>
            </div>
          </div>
        </div>
        <!-- /Modal CONTINUAR -->

        <!-- Modal PAGO COMPLETO -->
        <div class="modal fade" id="modalPagoCompleto" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
          <div class="modal-dialog modal-dialog-centered" role="document">
            <div class="modal-content">
              <div class="modal-header">
                <h5 class="modal-title" id="exampleModalCenterTitle">Pago</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                  <span aria-hidden="true">&times;</span>
                </button>
              </div>
              <div class="modal-body text-center">

                <h5>Forma de pago</h5>

                <div class="row">
                  <div class="col-12 col-md-6">
                    <div class="custom-control custom-radio">
                      <input type="radio" class="custom-control-input" id="radio1" name="radio12" value="Tarjeta crédito/débito">
                      <label class="custom-control-label" for="radio1">Tarjeta crédito/débito</label>
                    </div>
                  </div>

                  <div class="col-12 col-md-6">
                    <div class="custom-control custom-radio">
                      <input type="radio" class="custom-control-input" id="radio2" name="radio12" value="Pago en efectivo">
                      <label class="custom-control-label" for="radio2">Pago en efectivo</label>
                    </div>
                  </div>
                </div>

                <h5 class="mt-5">Empleados para comisi&oacute;n</h5>
                <p class="mt-1">Comisi&oacute;n total: $<?php echo number_format($total_comision, 2); ?></p>
                <input type="hidden" id="comision_venta" value="<?php echo number_format($total_comision, 2); ?>">
                <div class="row">
                  <div class="col-12 col-md-8">
                    <select class="form-control" id="comision_select" onchange="comision_selected()">
                      <option value="" disabled selected>Selecciona el empleado</option>
                      <?php
                      $rroles = $mysqli->query("SELECT * FROM administradores ORDER BY nombre ASC");
                      if ($rroles) {
                        while ($array = $rroles->fetch_object()) {
                          $id     = $array->id;
                          $nombre = $array->nombre;
                          $rol    = $array->rol;
                      ?>
                          <option value="<?php echo $id; ?>"><?php echo $nombre; ?> (<?php echo $rol; ?>)</option>
                      <?php
                        }
                      }
                      ?>
                    </select>
                  </div>

                  <input type="hidden" id="comision" value="">

                  <div class="col-12 col-md-4">
                    <button class="btn btn-block btn-primary" onclick="empleado_comision('<?php echo $identificador; ?>')">Agregar</button>
                  </div>
                </div>

                <input type="number" step="0.1" class="form-control mt-3" placeholder="Escribe el precio del flete" id="precio_flete" name="precio_flete" value="" style="display: none;">



                <h3 id="total_a_pagar" class="mt-5">Total a pagar: $<?php echo number_format($total_cart, 2); ?></h3>

                <input type="number" id="efectivo" step="0.01" class="form-control" placeholder="Introduce el efectivo" onkeyup="operacion_cambio()" required />
                <input type="hidden" id="total_cart" value="<?php echo number_format($total_cart, 2); ?>">
                <h3 id="cambio" class="mt-3">Introduce el efectivo</h3>

              </div>
              <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal" aria-label="Close">Cancelar</button>

                <input type="hidden" name="cartenvio" id="cartenvio" value="<?php echo htmlentities(serialize($cartenvio)); ?>">

                <button type="button" onclick="venta_done_pagado('Venta rápida','<?php echo $total_cart; ?>','<?php echo $identificador; ?>','<?php echo $total_cart; ?>','Pagado')" class="btn btn-block btn-success">Pagar</button>
              </div>
            </div>
          </div>
        </div>
        <!-- Modal PAGO COMPLETO -->

        <!-- Modal PAGO CREDITO -->
        <div class="modal fade" id="modalPagoCredito" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
          <div class="modal-dialog modal-dialog-centered" role="document">
            <div class="modal-content">
              <div class="modal-header">
                <h5 class="modal-title" id="exampleModalCenterTitle">Pago a cr&eacute;dito</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                  <span aria-hidden="true">&times;</span>
                </button>
              </div>
              <div class="modal-body text-center">

                <h4>Selecciona al cliente</h4>
                <div class="row">
                  <div class="col-12 col-md-12">
                    <select class="form-control" id="cliente_select" onchange="cliente_selected()">
                      <option value="" disabled selected>Selecciona al cliente</option>
                      <?php
                      $rclientes = $mysqli->query("SELECT * FROM clientes ORDER BY nombre ASC");
                      if ($rclientes) {
                        while ($array = $rclientes->fetch_object()) {
                          $id     = $array->id;
                          $nombre = $array->nombre;
                      ?>
                          <option value="<?php echo $id; ?>"><?php echo $nombre; ?></option>
                      <?php
                        }
                      }
                      ?>
                    </select>
                  </div>
                </div>

                <input type="hidden" id="cliente" value="">

                <h4 class="mt-3">Empleados para comisi&oacute;n</h4>
                <p class="mt-1">Comisi&oacute;n total: $<?php echo number_format($total_comision, 2); ?></p>
                <input type="hidden" id="comision_venta_2" value="<?php echo number_format($total_comision, 2); ?>">
                <div class="row">
                  <div class="col-12 col-md-8">
                    <select class="form-control" id="comision_select_2" onchange="comision_selected_2()">
                      <option value="" disabled selected>Selecciona el empleado</option>
                      <?php
                      $rroles = $mysqli->query("SELECT * FROM administradores ORDER BY nombre ASC");
                      if ($rroles) {
                        while ($array = $rroles->fetch_object()) {
                          $id     = $array->id;
                          $nombre = $array->nombre;
                          $rol    = $array->rol;
                      ?>
                          <option value="<?php echo $id; ?>"><?php echo $nombre; ?> (<?php echo $rol; ?>)</option>
                      <?php
                        }
                      }
                      ?>
                    </select>
                  </div>

                  <input type="hidden" id="comision_2" value="">

                  <div class="col-12 col-md-4">
                    <button class="btn btn-block btn-primary" onclick="empleado_comision_2('<?php echo $identificador; ?>')">Agregar</button>
                  </div>
                </div>

                <h3 id="total_a_pagar_2" class="mt-5">Total a pagar: $<?php echo number_format($total_cart, 2); ?></h3>

                <h3 id="cambio_2" class="mt-3">Introduce el pago inicial</h3>

                <input type="number" id="pago_inicial" step="0.01" class="form-control" placeholder="Introduce el pago inicial" required />

              </div>
              <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal" aria-label="Close">Cancelar</button>

                <button type="button" onclick="venta_done_pendiente('<?php echo $identificador; ?>','<?php echo $total_cart; ?>','Pendiente')" class="btn btn-block btn-success">Pagar</button>
              </div>
            </div>
          </div>
        </div>
        <!-- Modal PAGO CREDITO -->

      </div>

      <?php include_once("../helpers/js.html"); ?>

      <script type="text/javascript">
        if (!("autofocus" in document.createElement("input")))
          document.getElementById("codigo").focus();
      </script>

      <script>
        function cambiarEstadoSucursal(){
          console.log('Sucursal habilitada');
          if(<?php echo mysqli_num_rows($rlista_cart) > 0; ?>){
            $('#sucursal_select').prop('disabled', false);
          }else {
            $('#sucursal_select').prop('disabled', true);
          }
          
        }
      </script>

      <script type="text/javascript">
        function mostrar_productos_sucursal() {
          turn_on_cargando();
          
          id_sucursal = $("#sucursal_select").val();
          console.log(id_sucursal);
          var data1 = "tarea=68&id=" + id_sucursal;


          $.ajax({
            data: data1,
            url: '../process/controlador.php',
            type: 'POST',
            beforeSend: function() {

            },
            error: function() {
              Swal.fire(
                'Aviso',
                'ERROR, al conectarse al SERVIDOR...',
                'error'
              );
              turn_off_cargando();
            },
            success: function(data) {
              turn_off_cargando();
              // $("#lista-cart").load(window.location + " #lista-cart");
              // $("#modales").load(window.location + " #modales");
              $("#opciones").html(data);
            }
          });
        }

        function habilitar_origen() {
          $("#origen_select").prop("disabled", false);
        }
      </script>

      <script type="text/javascript">
        $(document).ready(function() {
          $('#tabla-productos').DataTable({
            language: {
              search: "B&uacute;squeda:",
              processing: "Traitement en cours...",
              lengthMenu: "Filtrar _MENU_ registros",
              info: "_START_ - _END_ de _TOTAL_ registros",
              infoEmpty: "No hay resultados",
              infoFiltered: "(filtro de _MAX_ registros)",
              infoPostFix: "",
              loadingRecords: "Chargement en cours...",
              zeroRecords: "No se encontr&oacute; resultado de esta b&uacute;squeda",
              emptyTable: "Aucune donnée disponible dans le tableau",
              paginate: {
                first: "Inicio",
                previous: "Anterior",
                next: "Siguiente",
                last: "Final"
              },
              aria: {
                sortAscending: ": activer pour trier la colonne par ordre croissant",
                sortDescending: ": activer pour trier la colonne par ordre décroissant"
              }
            }
          });
        });
      </script>

      <script type="text/javascript">
        $(document).ready(function() {
          // if(!("autofocus" in document.createElement("input")))
          document.getElementById("codigo").focus();
        });
      </script>

      <script type="text/javascript">
        function operacion_cambio() {
          var efectivo = document.getElementById('efectivo').value;
          var total = document.getElementById('total_cart').value;
          var cambio = document.getElementById('cambio');

          console.log(efectivo);
          console.log(total);

          if ((Number(efectivo) - Number(total)) >= 0) {
            cambio.innerHTML = "Cambio: $" + (Number(efectivo) - Number(total)).toFixed(2);
            console.log("entro 1: " + (Number(efectivo) - Number(total)).toFixed(2));
          } else {
            cambio.innerHTML = "Introduce el efectivo";
            console.log("entro 2: ");
          }
        }

        function operacion_cambio_2() {
          var efectivo = document.getElementById('efectivo_2').value;
          var total = document.getElementById('total_cart_2').value;
          var cambio = document.getElementById('cambio_2');

          console.log(efectivo);
          console.log(total);

          if ((Number(efectivo) - Number(total)) >= 0) {
            cambio.innerHTML = "Cambio: $" + (Number(efectivo) - Number(total)).toFixed(2);
            console.log("entro 1: " + (Number(efectivo) - Number(total)).toFixed(2));
          } else {
            cambio.innerHTML = "Introduce el efectivo";
            console.log("entro 2: ");
          }
        }

        function comision_selected() {
          document.getElementById('comision').value = document.getElementById('comision_select').value;
        }

        function comision_selected_2() {
          document.getElementById('comision_2').value = document.getElementById('comision_select_2').value;
        }

        function cliente_selected() {
          document.getElementById('cliente').value = document.getElementById('cliente_select').value;
        }
      </script>
    </body>

    </html>
  <?php } else {
    header("Location: ./index.php");
  } ?>