  <?php
  session_start();
  include_once("../helpers/session_check.php");
  include_once("../private/conexion.php");
  include_once("../helpers/time-cdmx.php");
  if (!empty($_GET['r'])) {
    $identificador = $_GET['r'];
    $rlista_cart = $mysqli->query("SELECT * FROM traslados_cart WHERE identificador='$identificador' ORDER BY id DESC");

  ?>
    <!DOCTYPE html>
    <html dir="ltr" lang="en">

    <head>
      <meta charset="utf-8">
      <meta http-equiv="X-UA-Compatible" content="IE=edge">
      <!-- Tell the browser to be responsive to screen width -->
      <meta name="viewport" content="width=device-width, initial-scale=1">
      <meta name="description" content="">
      <meta name="author" content="">
      <title>Nueva traslado - Punto de venta</title>

      <?php include_once("../helpers/css.html"); ?>
    </head>

    <body>

      <div class="preloader">
        <div class="lds-ripple">
          <div class="lds-pos"></div>
          <div class="lds-pos"></div>
        </div>
      </div>

      <div id="main-wrapper" data-theme="light" data-layout="vertical" data-navbarbg="skin6" data-sidebartype="full" data-sidebar-position="fixed" data-header-position="fixed" data-boxed-layout="full">

        <?php include_once("../menu/header.php"); ?>

        <?php include_once("../menu/side-menu.php"); ?>

        <div class="page-wrapper">
          <!-- ============================================================== -->
          <!-- Bread crumb and right sidebar toggle -->
          <!-- ============================================================== -->
          <div class="page-breadcrumb">
            <div class="row">
              <div class="col-7 align-self-center">
                <h3 class="page-title text-truncate text-dark font-weight-medium mb-1">Nuevo traslado</h3>
                <div class="d-flex align-items-center">
                  <nav aria-label="breadcrumb">
                    <ol class="breadcrumb m-0 p-0">
                      <li class="breadcrumb-item"><a href="./list-transfers.php">Lista de traslados</a>
                      </li>
                    </ol>
                  </nav>
                </div>
              </div>
            </div>
          </div>

          <div class="container-fluid">

            <div class="card">
              <div class="card-body">

                <div class="text-right">
                  Día y Hora: <b><?php echo date("D-M-Y H:i:s"); ?></b>
                </div>

                <div class="row mt-5">
                  <div class="col-12 col-md-6">
                    <p class="text-center">Origen</p>
                    <select id="origen_select" name="origen_select" class="form-control" onchange="mostrar_productos_sucursal()" required autofocus list="opciones_origen">
                      <option value="Bodega" selected>Bodega</option>
                      <?php
                      $rsucursales_origen = $mysqli->query("SELECT * FROM sucursales ORDER BY nombre ASC");
                      if ($rsucursales_origen) {
                        while ($array = $rsucursales_origen->fetch_object()) {
                          $id             = $array->id;
                          $nombre         = $array->nombre;

                          echo '<option value="' . $id . '">' . $nombre . '</option>';
                        }
                      }
                      ?>
                    </select>
                  </div>

                  <div class="col-12 col-md-6">
                  <p class="text-center">Destino</p>
                    <select id="destino_select" name="destino_select" class="form-control" required autofocus>
                      <option value="Bodega" selected>Bodega</option>
                      <?php
                      $rsucursales_origen = $mysqli->query("SELECT * FROM sucursales ORDER BY nombre ASC");
                      if ($rsucursales_origen) {
                        while ($array = $rsucursales_origen->fetch_object()) {
                          $id             = $array->id;
                          $nombre         = $array->nombre;

                          echo '<option value="' . $id . '">' . $nombre . '</option>';
                        }
                      }
                      ?>
                    </select>
                  </div>
                </div>

                <div class="row mt-3">
                  <div class="col-12 col-md-4">
                  <p class="text-center">Código del producto</p>
                    <input type="text" placeholder="Código del producto" id="codigo" name="codigo" class="form-control" required autofocus list="opciones">
                    <datalist id="opciones">
                      <?php
                      $rproducts = $mysqli->query("SELECT * FROM t_productos ORDER BY nombre ASC");
                      if ($rproducts) {
                        while ($array = $rproducts->fetch_object()) {
                          $id             = $array->id;
                          $codigo         = $array->codigo;
                          $nombre         = $array->nombre;
                          $cantidad       = $array->cantidad;
                          $precio_venta   = $array->precio_venta;

                          echo '<option value="' . $codigo . '">(' . $cantidad . ') ' . $nombre . ' - $' . $precio_venta . '</option>';
                        }
                      }
                      ?>
                    </datalist>
                  </div>

                  <div class="col-12 col-md-4">
                  <p class="text-center">Cantidad</p>
                    <input type="number" placeholder="Elige la cantidad" id="cantidad" name="cantidad" class="form-control" min="1" required>
                  </div>

                  <div class="col-12 col-md-4 d-flex align-items-end">
                    <button class="form-control btn btn-lg btn-block btn-primary" type="button" onclick="agregar_cart_tralados('<?php echo $identificador; ?>')">Agregar</button>
                  </div>
                </div>

                <div id="lista-cart" class="mt-5">
                  <?php if (
                    mysqli_num_rows($rlista_cart)>0
                  ) { ?>

                    <button class="btn btn-block btn-success mb-3" onclick="tralado_producto('<?php echo $identificador; ?>')">Completar traslado</button>

                    <table class="table" id="tabla-nueva-venta">
                      <thead class="thead-dark">
                        <tr>
                          <th scope="col" class="table-especial">#</th>
                          <th scope="col" class="table-especial">Producto</th>
                          <th scope="col" class="table-especial">C&oacute;digo</th>
                          <th scope="col" class="table-especial">Acciones</th>
                      </thead>
                      <tbody>
                        <?php
                        $total_productos = 0;
                        $total_cart      = 0;
                        $total_comision  = 0;
                        $cartenvio       = array();

                        if ($rlista_cart) {
                          while ($array = $rlista_cart->fetch_object()) {
                            $id              = $array->id;
                            $nombre          = $array->nombre;
                            $id_tproducto    = $array->id_tproducto;
                            $cantidad        = $array->cantidad;

                            $total_productos += $cantidad;
                        ?>
                            <tr>
                              <th scope="row"><?php echo number_format($cantidad); ?></th>
                              <td><?php echo $nombre; ?></td>
                              <td><?php echo $codigo; ?></td>
                              <td class="text-center">
                                <button class="btn btn-danger" onclick="borrar_carrito_tabla_traspasos('<?php echo $id; ?>','<?php echo $cantidad; ?>','<?php echo $id_tproducto; ?>','<?php echo $identificador; ?>')"><i class="bi bi-trash"></i></button>
                              </td>
                            </tr>
                        <?php
                          }
                        }
                        ?>
                      </tbody>
                    </table>

                    <h2>Total de productos: <?php echo $total_productos; ?></h2>
                    <?php
                    if ($total_productos == 0) {
                      echo '<script type="text/javascript">',
                          'habilitar_origen();',
                          '</script>'
                      ;
                    }
                    ?>
                  <?php } else { ?>
                    <h3>No hay productos agregados.</h3>
                  <?php } ?>
                </div>
              </div>
            </div>

          </div>

          <?php include_once("../menu/footer.php"); ?>

        </div>
        <!-- ============================================================== -->
        <!-- End Page wrapper  -->
        <!-- ============================================================== -->
      </div>

      <!-- MODALS -->
      <div id="modales">

        <!-- Modal TRASLADO VENTA -->
        <div class="modal fade" id="modalTraslado" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
          <div class="modal-dialog modal-dialog-centered" role="document">
            <div class="modal-content">
              <div class="modal-header">
                <h5 class="modal-title" id="exampleModalCenterTitle">Completar traslado</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                  <span aria-hidden="true">&times;</span>
                </button>
              </div>
              <div class="modal-body text-center">
                <h3>Selecciona el lugar de env&iacute;o</h3>
                <select class="form-control" id="lugar_envio_select" onchange="lugar_envio_selected()">
                  <option value="" disabled selected>Selecciona la sucursal</option>
                  <?php
                  $rsucursales = $mysqli->query("SELECT * FROM sucursales ORDER BY nombre ASC");
                  if ($rsucursales) {
                    while ($array = $rsucursales->fetch_object()) {
                      $id_sucursal       = $array->id;
                      $nombre_sucursal   = $array->nombre;
                  ?>
                      <option value="<?php echo $id_sucursal; ?>"> <?php echo $nombre_sucursal ?></option>
                  <?php
                    }
                  }
                  ?>
                </select>
                <input type="hidden" id="lugar_envio">
                <input type="hidden" id="lugar_origen" value="bodega">
              </div>
              <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancelar</button>
                <button type="button" class="btn btn-primary" onclick="tralado_producto('<?php echo $identificador; ?>')">Trasladar producto</button>
              </div>
            </div>
          </div>
        </div>
        <!-- /Modal TRASLADO -->

      </div>

      <?php include_once("../helpers/js.html"); ?>

      <script type="text/javascript">
        function mostrar_productos_sucursal() {
          turn_on_cargando();

          id_sucursal = $("#origen_select").val();
          console.log(id_sucursal);
          if (id_sucursal == "Bodega") {
            var data1 = "tarea=67&id=" + id_sucursal;
          } else {
            var data1 = "tarea=68&id=" + id_sucursal;
          }


          $.ajax({
            data: data1,
            url: '../process/controlador.php',
            type: 'POST',
            beforeSend: function() {

            },
            error: function() {
              Swal.fire(
                'Aviso',
                'ERROR, al conectarse al SERVIDOR...',
                'error'
              );
              turn_off_cargando();
            },
            success: function(data) {
              turn_off_cargando();
              // $("#lista-cart").load(window.location + " #lista-cart");
              // $("#modales").load(window.location + " #modales");
              $("#opciones").html(data);
            }
          });
        }

        function habilitar_origen() {
          $("#origen_select").prop("disabled", false);
        }
      </script>

      <script type="text/javascript">
        if (!("autofocus" in document.createElement("input")))
          document.getElementById("codigo").focus();
      </script>

      <script type="text/javascript">
        $(document).ready(function() {
          $('#tabla-productos').DataTable({
            language: {
              search: "B&uacute;squeda:",
              processing: "Traitement en cours...",
              lengthMenu: "Filtrar _MENU_ registros",
              info: "_START_ - _END_ de _TOTAL_ registros",
              infoEmpty: "No hay resultados",
              infoFiltered: "(filtro de _MAX_ registros)",
              infoPostFix: "",
              loadingRecords: "Chargement en cours...",
              zeroRecords: "No se encontr&oacute; resultado de esta b&uacute;squeda",
              emptyTable: "Aucune donnée disponible dans le tableau",
              paginate: {
                first: "Inicio",
                previous: "Anterior",
                next: "Siguiente",
                last: "Final"
              },
              aria: {
                sortAscending: ": activer pour trier la colonne par ordre croissant",
                sortDescending: ": activer pour trier la colonne par ordre décroissant"
              }
            }
          });
        });
      </script>

      <script type="text/javascript">
        $(document).ready(function() {
          // if(!("autofocus" in document.createElement("input")))
          document.getElementById("codigo").focus();
        });
      </script>

      <script type="text/javascript">
        function lugar_envio_selected() {
          document.getElementById('lugar_envio').value = document.getElementById('lugar_envio_select').value;
        }
      </script>
    </body>

    </html>
  <?php } else {
    header("Location: ./index.php");
  } ?>