<?php
session_start();
include_once("../helpers/session_check.php");
include_once("../private/conexion.php");
if (!empty($_GET['id'])) {
    $id = $_GET['id'];

    $redit = $mysqli->query("SELECT * FROM proveedores WHERE id=$id");
    if ($redit) {
        while ($array = $redit->fetch_object()) {
            $id                 = $array->id;
            $razon_social       = $array->razon_social;
            $tipo_razon_social  = $array->tipo_razon_social;
            $rfc                = $array->rfc;
            $telefono           = $array->telefono;
            $direccion          = $array->direccion;
            $encargado          = $array->encargado;
            $pdf                = $array->pdf;
        }
    }
    $rencargado = $mysqli->query("SELECT * FROM administradores WHERE id=$encargado");
    if ($rencargado) {
        while ($array = $rencargado->fetch_object()) {
            $nombre_encargado   = $array->nombre;
        }
    }
?>
    <!DOCTYPE html>
    <html dir="ltr" lang="en">

    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <!-- Tell the browser to be responsive to screen width -->
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta name="description" content="">
        <meta name="author" content="">
        <title>Editar proveedor - Punto de venta</title>

        <?php include_once("../helpers/css.html"); ?>
    </head>

    <body>

        <div class="preloader">
            <div class="lds-ripple">
                <div class="lds-pos"></div>
                <div class="lds-pos"></div>
            </div>
        </div>

        <div id="main-wrapper" data-theme="light" data-layout="vertical" data-navbarbg="skin6" data-sidebartype="full" data-sidebar-position="fixed" data-header-position="fixed" data-boxed-layout="full">

            <?php include_once("../menu/header.php"); ?>

            <?php include_once("../menu/side-menu.php"); ?>

            <div class="page-wrapper">
                <!-- ============================================================== -->
                <!-- Bread crumb and right sidebar toggle -->
                <!-- ============================================================== -->
                <div class="page-breadcrumb">
                    <div class="row">
                        <div class="col-7 align-self-center">
                            <h3 class="page-title text-truncate text-dark font-weight-medium mb-1">Modificar proveedor <?php echo $razon_social; ?></h3>
                            <div class="d-flex align-items-center">
                                <nav aria-label="breadcrumb">
                                    <ol class="breadcrumb m-0 p-0">
                                        <li class="breadcrumb-item"><a href="./list-providers.php">Lista de proveedores</a>
                                        </li>
                                    </ol>
                                </nav>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="container-fluid">

                    <div class="row">

                        <div class="col-12 col-md-6">
                            <h3>Raz&oacute;n social *</h3>
                            <input type="text" id="razon_social" class="form-control" placeholder="Razón del proveedor" required value="<?php echo $razon_social ?>">
                        </div>

                        <div class="col-12 col-md-6">
                            <h3>Tipo de raz&oacute;n social</h3>
                            <select class="form-control" name="tipo_razon_social_select" id="tipo_razon_social_select" onchange="tipo_razon_social_selected()" required>
                                <option value="<?php echo $tipo_razon_social ?>" selected disabled><?php echo $tipo_razon_social ?></option>
                                <option value="Persona fisica">Persona física</option>
                                <option value="Personal moral">Personal moral</option>
                            </select>
                        </div>

                        <div class="col-12 col-md-6">
                            <h3>RFC *</h3>
                            <input type="text" id="rfc" class="form-control" placeholder="RFC del proveedor" value="<?php echo $rfc ?>" required>
                        </div>

                        <div class="col-12 col-md-6">
                            <h3>Tel&eacute;fono (opcional)</h3>
                            <input type="tel" id="telefono" min="0" class="form-control" placeholder="Tel&eacute;fono del proveedor" value="<?php echo $telefono ?>" required />
                        </div>

                        <div class="col-12 col-md-6">
                        <h3>Encargado (obligatorio)</h3>
                        <select class="form-control" name="encargado_select" id="encargado_select" onchange="encargado_selected()" required>
                            <option value="<?php echo $encargado ?>" selected><?php echo $nombre_encargado ?></option>
                            <?php
                            try {
                                $empleados = $mysqli->query("SELECT * FROM administradores");
                                if ($empleados) {
                                    // echo 'Total de Administradores: ' . mysqli_num_rows($r);
                                    while ($array = $empleados->fetch_object()) {
                                        $nombreAdmin = $array->nombre;
                                        $idAdmin = $array->id;
                                        echo "<option value='" . $idAdmin . "'>" . $nombreAdmin . "</option>";
                                    }
                                }
                            } catch (Exception $e) {
                                // echo 'Total de Proveedores: 0';
                            }
                            ?>
                        </select>
                    </div>

                        <div class="col-12 col-md-6">
                            <h3>Adjuntar PDF</h3>
                            <input type="file" id="pdf" class="form-control" required />
                        </div>

                    </div>

                    <input type="hidden" id="tipo_razon_social" value="<?php echo $tipo_razon_social; ?>" required>
                    <input type="hidden" id="encargado" value="<?php echo $encargado; ?>" required>

                    <button class="btn btn-block btn-success mt-5 mb-5" onclick="editar_proveedor('<?php echo $_GET['id']; ?>')">Modificar proveedor</button>

                </div>

                <?php include_once("../menu/footer.php"); ?>

            </div>
            <!-- ============================================================== -->
            <!-- End Page wrapper  -->
            <!-- ============================================================== -->
        </div>

        <?php include_once("../helpers/js.html"); ?>

        <script type="text/javascript">
            function tipo_razon_social_selected() {
                document.getElementById('tipo_razon_social').value = document.getElementById('tipo_razon_social_select').value;
            }

            function encargado_selected() {
                document.getElementById('encargado').value = document.getElementById('encargado_select').value;
            }
        </script>

        <script src="../js/sistem.js"></script>

    </body>

    </html>
<?php } else {
    header("Location: ./list-employes.php");
} ?>