<?php 
    session_start();
    include_once("../helpers/session_check.php");
    include_once("../private/conexion.php");
    $lunes     = 0;
    $martes    = 0;
    $miercoles = 0;
    $jueves    = 0;
    $viernes   = 0;
    $sabado    = 0;
    $domingo   = 0;

    $rmovimientos = $mysqli->query("SELECT * FROM movimientos_bd ORDER BY id DESC LIMIT 4");
    $rventas = $mysqli->query("SELECT * FROM venta");
    if ($rventas)
    {
    while($array = $rventas->fetch_object())
        {
            $fecha = $array->fecha;
            $dayOfWeek = date("l", strtotime($fecha));
            if ($dayOfWeek==="Monday") {
                $lunes++;
            }else if ($dayOfWeek==="Tuesday") {
                $martes++;
            }else if ($dayOfWeek==="Wednesday") {
                $miercoles++;
            }else if ($dayOfWeek==="Thursday") {
                $jueves++;
            }else if ($dayOfWeek==="Friday") {
                $viernes++;
            }else if ($dayOfWeek==="Saturday") {
                $sabado++;
            }else if ($dayOfWeek==="Sunday") {
                $domingo++;
            }
        }
    }
?>
<!DOCTYPE html>
<html dir="ltr" lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <!-- Tell the browser to be responsive to screen width -->
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="author" content="">
    <title>Inicio - Punto de venta</title>

    <?php include_once("../helpers/css.html"); ?>
</head>

<body>

    <div class="preloader">
        <div class="lds-ripple">
            <div class="lds-pos"></div>
            <div class="lds-pos"></div>
        </div>
    </div>

    <div id="main-wrapper" data-theme="light" data-layout="vertical" data-navbarbg="skin6" data-sidebartype="full"
        data-sidebar-position="fixed" data-header-position="fixed" data-boxed-layout="full">
        
        <?php include_once("../menu/header.php"); ?>

        <?php include_once("../menu/side-menu.php"); ?>

        <div class="page-wrapper">
            
            <div class="container-fluid">

                <!-- *************************************************************** -->
                <!-- End Sales Charts Section -->
                <!-- *************************************************************** -->
                <!-- *************************************************************** -->
                <!-- Start Location and Earnings Charts Section -->
                <!-- *************************************************************** -->
                <div class="row">
                    <div class="col-md-6 col-lg-8">
                        <div class="card">
                            <div class="card-body">
                                <div class="d-flex align-items-start">
                                    <h4 class="card-title mb-0">Estad&iacute;sticas de venta</h4>
                                </div>
                                <div class="pl-4 mb-5">
                                    <div class="stats ct-charts position-relative" style="height: 315px;"></div>
                                </div>
                                <ul class="list-inline text-center mt-4 mb-0">
                                    <li class="list-inline-item text-muted font-italic">Ventas por d&iacute;a</li>
                                </ul>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-6 col-lg-4">
                        <div class="card">
                            <div class="card-body">
                                <h4 class="card-title">Actividad reciente</h4>
                                <div class="mt-4 activity">
                                    <?php 
                                        if ($rmovimientos)
                                        {
                                        while($array = $rmovimientos->fetch_object())
                                            {
                                                $movimiento = $array->movimiento;
                                                $hora       = $array->hora;
                                                $fecha      = $array->fecha;
                                    ?>
                                    <div class="d-flex align-items-start border-left-line pb-3">
                                        <div>
                                            <a href="./list-movements.php" class="btn btn-info btn-circle mb-2 btn-item">
                                                <i data-feather="bell"></i>
                                            </a>
                                        </div>
                                        <div class="ml-3 mt-2">
                                            <h5 class="text-dark font-weight-medium mb-2"><?php echo $movimiento; ?></h5>
                                            <p class="font-14 mb-2 text-muted"><?php echo $fecha; ?></p>
                                            <span class="font-weight-light font-14 text-muted"><?php echo $hora; ?></span>
                                        </div>
                                    </div>
                                    <?php 
                                            }
                                        }
                                    ?>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

            </div>

            <?php include_once("../menu/footer.php"); ?>

        </div>
        <!-- ============================================================== -->
        <!-- End Page wrapper  -->
        <!-- ============================================================== -->
    </div>
    
    <?php include_once("../helpers/js.html"); ?>

    <script type="text/javascript">
        $(function () {

            var chart = new Chartist.Line('.stats', {
                labels: ['Lunes', 'Martes', 'Miercoles', 'Jueves', 'Viernes', 'Sábado', 'Domingo'],
                series: [
                    [<?php echo $lunes; ?>, <?php echo $martes; ?>, <?php echo $miercoles; ?>, <?php echo $jueves; ?>, <?php echo $viernes; ?>, <?php echo $sabado; ?>, <?php echo $domingo; ?>]
                ]
            }, {
                low: 0,
                high: 50,
                showArea: true,
                fullWidth: true,
                plugins: [
                    Chartist.plugins.tooltip()
                ],
                axisY: {
                    onlyInteger: true,
                    scaleMinSpace: 40,
                    offset: 20,
                    labelInterpolationFnc: function (value) {
                        return (value / 1);
                    }
                },
            });

            // Offset x1 a tiny amount so that the straight stroke gets a bounding box
            chart.on('draw', function (ctx) {
                if (ctx.type === 'area') {
                    ctx.element.attr({
                        x1: ctx.x1 + 0.001
                    });
                }
            });

            // Create the gradient definition on created event (always after chart re-render)
            chart.on('created', function (ctx) {
                var defs = ctx.svg.elem('defs');
                defs.elem('linearGradient', {
                    id: 'gradient',
                    x1: 0,
                    y1: 1,
                    x2: 0,
                    y2: 0
                }).elem('stop', {
                    offset: 0,
                    'stop-color': 'rgba(255, 255, 255, 1)'
                }).parent().elem('stop', {
                    offset: 1,
                    'stop-color': 'rgba(80, 153, 255, 1)'
                });
            });

            $(window).on('resize', function () {
                chart.update();
            });

        })
    </script>

</body>

</html>