<?php 
    session_start();
    include_once("../helpers/session_check.php");
    include_once("../private/conexion.php");
    $rempleados = $mysqli->query("SELECT * FROM administradores WHERE rol!='Administrador' ORDER BY nombre ASC");
?>
<!DOCTYPE html>
<html dir="ltr" lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <!-- Tell the browser to be responsive to screen width -->
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="author" content="">
    <title>Empleados - Punto de venta</title>

    <?php include_once("../helpers/css.html"); ?>
</head>

<body>

    <div class="preloader">
        <div class="lds-ripple">
            <div class="lds-pos"></div>
            <div class="lds-pos"></div>
        </div>
    </div>

    <div id="main-wrapper" data-theme="light" data-layout="vertical" data-navbarbg="skin6" data-sidebartype="full"
        data-sidebar-position="fixed" data-header-position="fixed" data-boxed-layout="full">
        
        <?php include_once("../menu/header.php"); ?>

        <?php include_once("../menu/side-menu.php"); ?>

        <div class="page-wrapper">
            <!-- ============================================================== -->
            <!-- Bread crumb and right sidebar toggle -->
            <!-- ============================================================== -->
            <div class="page-breadcrumb">
                <div class="row">
                    <div class="col-7 align-self-center">
                        <h3 class="page-title text-truncate text-dark font-weight-medium mb-1">Lista de empleados</h3>
                        <div class="d-flex align-items-center">
                            <nav aria-label="breadcrumb">
                                <ol class="breadcrumb m-0 p-0">
                                    <li class="breadcrumb-item"><a href="./add-product.php">Agregar nuevo producto</a>
                                    </li>
                                </ol>
                            </nav>
                        </div>
                    </div>
                </div>
            </div>

            <div class="container-fluid">

                <div class="card">
                    <div class="card-body">
                        <div id="check">
                        <?php if (mysqli_num_rows($rempleados)>0) { ?>

                        <table class="table" id="tabla-empleados">
                          <thead class="thead-dark">
                            <tr>
                              <th scope="col" class="table-especial">#</th>
                              <th scope="col" class="table-especial">Nombre</th>
                              <th scope="col" class="table-especial">Usuario</th>
                              <th scope="col" class="table-especial">Rol</th>
                              <th scope="col" class="table-especial">Tel&eacute;fono</th>
                              <th scope="col" class="table-especial">Direcci&oacute;n</th>
                              <th scope="col" class="table-especial">Departamento</th>
                              <th scope="col" class="table-especial">Correo</th>
                              <th scope="col" class="table-especial">Acciones</th>
                          </thead>
                          <tbody>
                            <?php 
                                $cont = 0;
                                if ($rempleados)
                                {
                                while($array = $rempleados->fetch_object())
                                    {
                                        $id                = $array->id;
                                        $nombre            = $array->nombre;
                                        $usuario           = $array->usuario;
                                        $fecha_registro    = $array->fecha_registro;
                                        $fecha_ult_ingreso = $array->fecha_ult_ingreso;
                                        $fecha_registro    = $array->fecha_registro;
                                        $rol               = $array->rol;
                                        $hora_ultinicio    = $array->hora_ultinicio;
                                        $telefono          = $array->telefono;
                                        $direccion         = $array->direccion;
                                        $fecha_salida      = $array->fecha_salida;
                                        $hora_salida       = $array->hora_salida;
                                        $departamento      = $array->departamento;
                                        $correo            = $array->correo;
                                        $cont++;

                                        if (empty($telefono)) {
                                          $telefono = "<p class='text-danger'>No registrado</p>";
                                        }

                                        if (empty($direccion)) {
                                          $direccion = "<p class='text-danger'>No registrada</p>";
                                        }
                            ?>
                                    <tr>
                                        <th scope="row"><?php echo $cont; ?></th>
                                        <td><?php echo $nombre; ?></td>
                                        <td><?php echo $usuario; ?></td>
                                        <td><?php echo $rol; ?></td>
                                        <td><?php echo $telefono; ?></td>
                                        <td><?php echo $direccion; ?></td>
                                        <td><?php echo $departamento?></td>
                                        <td><?php echo $correo; ?></td>
                                        <td class="text-center">
                                            <button class="btn btn-info" onclick="employed_option('<?php echo $id; ?>','show')"><i class="bi bi-eye"></i></button>
                                            <button class="btn btn-warning" onclick="employed_option('<?php echo $id; ?>','edit')"><i class="bi bi-pencil-square"></i></button>
                                            <button class="btn btn-danger" onclick="employed_option('<?php echo $id; ?>','delete')"><i class="bi bi-trash"></i></button>
                                        </td>
                                    </tr>
                            <?php 
                                    }
                                }
                            ?>
                          </tbody>
                        </table>

                        <?php }else{ ?>
                        <h3>No hay registro de empleados</h3>
                        <?php } ?>
                        </div>
                    </div>
                </div>

            </div>

            <?php include_once("../menu/footer.php"); ?>

        </div>
        <!-- ============================================================== -->
        <!-- End Page wrapper  -->
        <!-- ============================================================== -->
    </div>

    <!-- MODALS -->
    <!-- Modal DELETE -->
    <div class="modal fade" id="modalDelete" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
      <div class="modal-dialog modal-dialog-centered" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title" id="exampleModalCenterTitle">Eliminar empleado</h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body">
            &iquest;Seguro que deseas eliminar este empleado?
            <input type="hidden" id="id_delete" readonly required/>
          </div>
          <div class="modal-footer">
              <button type="button" class="btn btn-primary" data-dismiss="modal" aria-label="Close">Cancelar</button>
              <button type="button" onclick="eliminar_empleado()" class="btn btn-outline-danger">Eliminar</button>
          </div>
        </div>
      </div>
    </div>

    <!-- Modal SHOW -->
    <div class="modal fade" id="modalShow" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
      <div class="modal-dialog modal-dialog-centered" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title" id="exampleModalCenterTitle">Informaci&oacute;n del empleado</h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body">
            
            <div id="info"></div>

          </div>
          <div class="modal-footer">
              <button type="button" class="btn btn-primary" data-dismiss="modal" aria-label="Close">Cerrar</button>
          </div>
        </div>
      </div>
    </div>
    
    <?php include_once("../helpers/js.html"); ?>

    <script type="text/javascript">
      $(document).ready(function() {
          $('#tabla-empleados').DataTable( {
              language: {
                  search: "B&uacute;squeda:",
                  processing:    "Traitement en cours...",
                  lengthMenu:    "Filtrar _MENU_ registros",
                  info:           "_START_ - _END_ de _TOTAL_ registros",
                  infoEmpty:      "No hay resultados",
                  infoFiltered:   "(filtro de _MAX_ registros)",
                  infoPostFix:    "",
                  loadingRecords: "Chargement en cours...",
                  zeroRecords:    "No se encontr&oacute; resultado de esta b&uacute;squeda",
                  emptyTable:     "Aucune donnée disponible dans le tableau",
                  paginate: {
                      first:      "Inicio",
                      previous:   "Anterior",
                      next:       "Siguiente",
                      last:       "Final"
                  },
                  aria: {
                      sortAscending:  ": activer pour trier la colonne par ordre croissant",
                      sortDescending: ": activer pour trier la colonne par ordre décroissant"
                  }
              }
          } );
      } );
    </script>
</body>

</html>