<?php 
    session_start();
    include_once("../helpers/session_check.php");
    include_once("../private/conexion.php");
    include_once("../helpers/time-cdmx.php");
    if (!empty($_GET['id'])) {
      $id = $_GET['id'];

      $rcaja = $mysqli->query("SELECT * FROM caja_historial WHERE id_corte=$id ORDER BY id DESC");
      $rcaja_i = $mysqli->query("SELECT * FROM caja_historial WHERE id_corte=$id AND estado='Ingreso'");
      $rcaja_e = $mysqli->query("SELECT * FROM caja_historial WHERE id_corte=$id AND estado='Egreso'");

      $total_ingresos    = 0;
      $total_egresos     = 0;
      $total_movimientos = 0;
      
      while($array = $rcaja_i->fetch_object())
      {
        $monto = $array->monto;
        $total_ingresos+= $monto;
        $total_movimientos+= $monto;
      }

      while($array = $rcaja_e->fetch_object())
      {
        $monto = $array->monto;
        $total_egresos+= $monto;
        $total_movimientos-= $monto;
      }
?>
<!DOCTYPE html>
<html dir="ltr" lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <!-- Tell the browser to be responsive to screen width -->
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="author" content="">
    <title>Historial de movimientos en caja - Punto de venta</title>

    <?php include_once("../helpers/css.html"); ?>
</head>

<body>

    <div class="preloader">
        <div class="lds-ripple">
            <div class="lds-pos"></div>
            <div class="lds-pos"></div>
        </div>
    </div>

    <div id="main-wrapper" data-theme="light" data-layout="vertical" data-navbarbg="skin6" data-sidebartype="full"
        data-sidebar-position="fixed" data-header-position="fixed" data-boxed-layout="full">
        
        <?php include_once("../menu/header.php"); ?>

        <?php include_once("../menu/side-menu.php"); ?>

        <div class="page-wrapper">
            <!-- ============================================================== -->
            <!-- Bread crumb and right sidebar toggle -->
            <!-- ============================================================== -->
            <div class="page-breadcrumb">
                <div class="row">
                    <div class="col-7 align-self-center">
                        <h3 class="page-title text-truncate text-dark font-weight-medium mb-1">Historial de movimientos en caja</h3>
                    </div>
                </div>
            </div>

          <div id="check2">

            <div class="row container mt-3">
              <div class="col-12 col-md-4">
                <div class="card text-white bg-success">
                  <div class="card-header">
                    <h4 class="mb-0">Ingresos</h4>
                  </div>
                  <div class="card-body">
                    <h2 class="card-title text-white">Total: $<?php echo number_format($total_ingresos, 2); ?></h2>
                    <h5 class="card-title text-white">Total de movimientos: <?php echo mysqli_num_rows($rcaja_i); ?></h5>
                    <p class="card-text"></p>
                  </div>
                </div>  
              </div>

              <div class="col-12 col-md-4">
                <div class="card text-white bg-danger">
                  <div class="card-header">
                    <h4 class="mb-0">Egresos</h4>
                  </div>
                  <div class="card-body">
                    <h2 class="card-title text-white">Total: $<?php echo number_format($total_egresos, 2); ?></h2>
                    <h5 class="card-title text-white">Total de movimientos: <?php echo mysqli_num_rows($rcaja_e); ?></h5>
                    <p class="card-text"></p>
                  </div>
                </div>  
              </div>

              <div class="col-12 col-md-4">
                <div class="card text-dark">
                  <div class="card-header">
                    <h4 class="mb-0">Caja</h4>
                  </div>
                  <div class="card-body">
                    <h3 class="card-title">Total en caja $<?php echo number_format($total_movimientos, 2); ?></h3>
                    <h3 class="card-title">Total de movimientos: <?php echo mysqli_num_rows($rcaja); ?></h3>
                    <p class="card-text"></p>
                  </div>
                </div>  
              </div>
            </div>

          </div>

            <div class="container-fluid">

                <div class="card">
                    <div class="card-body">
                        <div id="check">
                        <?php if (mysqli_num_rows($rcaja)>0) { ?>

                        <table class="table" id="tabla-movimientos">
                          <thead class="thead-dark">
                            <tr>
                              <th scope="col" class="table-especial">Folio</th>
                              <th scope="col" class="table-especial">Monto</th>
                              <th scope="col" class="table-especial">Motivo</th>
                              <th scope="col" class="table-especial">Cliente</th>
                              <th scope="col" class="table-especial">Hora</th>
                              <th scope="col" class="table-especial">Fecha</th>
                              <!-- <th scope="col" class="table-especial">Acciones</th> -->
                          </thead>
                          <tbody>
                            <?php 
                                if ($rcaja)
                                {
                                while($array = $rcaja->fetch_object())
                                    {
                                        $id      = $array->id;
                                        $monto   = $array->monto;
                                        $razon   = $array->razon;
                                        $cliente = $array->cliente;
                                        $fecha   = $array->fecha;
                                        $hora    = $array->hora;
                                        $estado  = $array->estado;
                                        $fecha   = strftime("%d de %B de %Y", strtotime($fecha));
                            ?>
                                <?php if ($estado==="Ingreso") { ?>
                                    <tr class="bg-success text-white">
                                <?php }else if ($estado === "Egreso") {  ?>
                                    <tr class="bg-danger text-white">
                                <?php } ?>
                                      <th scope="row"><?php echo $id; ?></th>
                                      <td>$<?php echo $monto; ?></td>
                                      <td><?php echo $razon; ?></td>
                                      <td><?php echo $cliente; ?></td>
                                      <td><?php echo $hora; ?></td>
                                      <td><?php echo $fecha; ?></td>
                                      <!-- <td class="text-center">
                                          <button class="btn btn-dark" onclick="employed_option('<?php //echo $id; ?>','delete')"><i class="bi bi-trash"></i></button>
                                      </td> -->
                                    </tr>
                            <?php 
                                    }
                                }
                            ?>
                          </tbody>
                        </table>

                        <?php }else{ ?>
                        <h3>No hay registro de empleados</h3>
                        <?php } ?>
                        </div>
                    </div>
                </div>

            </div>

            <?php include_once("../menu/footer.php"); ?>

        </div>
        <!-- ============================================================== -->
        <!-- End Page wrapper  -->
        <!-- ============================================================== -->
    </div>

    <?php include_once("../helpers/js.html"); ?>

    <script type="text/javascript">
      $(document).ready(function() {
          $('#tabla-movimientos').DataTable( {
              language: {
                  search: "B&uacute;squeda:",
                  processing:    "Traitement en cours...",
                  lengthMenu:    "Filtrar _MENU_ registros",
                  info:           "_START_ - _END_ de _TOTAL_ registros",
                  infoEmpty:      "No hay resultados",
                  infoFiltered:   "(filtro de _MAX_ registros)",
                  infoPostFix:    "",
                  loadingRecords: "Chargement en cours...",
                  zeroRecords:    "No se encontr&oacute; resultado de esta b&uacute;squeda",
                  emptyTable:     "Aucune donnée disponible dans le tableau",
                  paginate: {
                      first:      "Inicio",
                      previous:   "Anterior",
                      next:       "Siguiente",
                      last:       "Final"
                  },
                  aria: {
                      sortAscending:  ": activer pour trier la colonne par ordre croissant",
                      sortDescending: ": activer pour trier la colonne par ordre décroissant"
                  }
              }
          } );
      } );
    </script>

    <script type="text/javascript">
      function tipo_movimiento_selected(){
        document.getElementById('movimiento').value = document.getElementById('tipo_movimiento_select').value;
      }
    </script>
</body>

</html>
<?php }else{
  header("Location: ./list-historial-box.php");
} ?>