<?php 
    session_start();
    include_once("../helpers/session_check.php");
    include_once("../private/conexion.php");
    include_once("../helpers/time-cdmx.php");
    $rhistorial_cortes = $mysqli->query("SELECT * FROM caja_record ORDER BY id DESC");
?>
<!DOCTYPE html>
<html dir="ltr" lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <!-- Tell the browser to be responsive to screen width -->
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="author" content="">
    <title>Historial de cortes de caja - Punto de venta</title>

    <?php include_once("../helpers/css.html"); ?>
</head>

<body>

    <div class="preloader">
        <div class="lds-ripple">
            <div class="lds-pos"></div>
            <div class="lds-pos"></div>
        </div>
    </div>

    <div id="main-wrapper" data-theme="light" data-layout="vertical" data-navbarbg="skin6" data-sidebartype="full"
        data-sidebar-position="fixed" data-header-position="fixed" data-boxed-layout="full">
        
        <?php include_once("../menu/header.php"); ?>

        <?php include_once("../menu/side-menu.php"); ?>

        <div class="page-wrapper">
            <!-- ============================================================== -->
            <!-- Bread crumb and right sidebar toggle -->
            <!-- ============================================================== -->
            <div class="page-breadcrumb">
                <div class="row">
                    <div class="col-7 align-self-center">
                        <h3 class="page-title text-truncate text-dark font-weight-medium mb-1">Lista de historial de cortes en caja</h3>
                    </div>
                </div>
                <button class="btn btn-primary" data-toggle="modal" data-target="#modalRestart">Reiniciar comisiones</button>
            </div>

            <div class="container-fluid">

              <div class="row container mt-3">
                <?php 
                    if ($rhistorial_cortes)
                    {
                    while($array = $rhistorial_cortes->fetch_object())
                        {
                            $id            = $array->id;
                            $monto         = $array->monto;
                            $date_register = $array->date_register;
                            // $fecha   = strftime("%d de %B de %Y", strtotime($fecha));
                ?>

                  <div class="col-12 col-md-4 mt-3">
                    <div class="card text-dark">
                      <div class="card-header">
                        <h4 class="mb-0">Corte #<?php echo $id; ?></h4>
                      </div>
                      <div class="card-body">
                        <h3 class="card-title">Monto $<?php echo $monto; ?></h3>
                        <h3 class="card-title">Fecha: <?php echo $date_register; ?></h3>
                      </div>
                      <div class="card-footer">
                        <a class="btn btn-block btn-primary" href="./list-historial-box-details.php?id=<?php echo $id; ?>">Ver detalles</a>
                      </div>
                    </div>  
                  </div>

                <?php 
                      }
                    }
                ?>

              </div>

            </div>

            <?php include_once("../menu/footer.php"); ?>

        </div>
        <!-- ============================================================== -->
        <!-- End Page wrapper  -->
        <!-- ============================================================== -->
    </div>

    <!-- Modal REINICIAR -->
    <div class="modal fade bd-example-modal-lg" id="modalRestart" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
    <div class="modal-dialog modal-lg" role="document">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="exampleModalCenterTitle">Reiniciar cortes</h5>
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <div class="modal-body">
          <h3>&iquest;Seguro que deseas reinicar las cortes?</h3>
          <p>Se eliminaran los registros de las cortes actuales</p>
        </div>
        <div class="modal-footer">
            <button type="button" class="btn btn-primary" data-dismiss="modal" aria-label="Close">Cerrar</button>
            <button type="button" class="btn btn-danger" onclick="reiniciar_todo('cortes')">S&iacute;, reiniciar</button>
         </div>
        </div>
      </div>
    </div>

    <?php include_once("../helpers/js.html"); ?>

</body>

</html>