<?php 
    session_start();
    include_once("../helpers/session_check.php");
    include_once("../private/conexion.php");
    $rentradas_salidas = $mysqli->query("SELECT * FROM entradas_salidas ORDER BY id DESC");
?>
<!DOCTYPE html>
<html dir="ltr" lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <!-- Tell the browser to be responsive to screen width -->
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="author" content="">
    <title>Entradas y salidas - Punto de venta</title>

    <?php include_once("../helpers/css.html"); ?>
</head>

<body>

    <div class="preloader">
        <div class="lds-ripple">
            <div class="lds-pos"></div>
            <div class="lds-pos"></div>
        </div>
    </div>

    <div id="main-wrapper" data-theme="light" data-layout="vertical" data-navbarbg="skin6" data-sidebartype="full"
        data-sidebar-position="fixed" data-header-position="fixed" data-boxed-layout="full">
        
        <?php include_once("../menu/header.php"); ?>

        <?php include_once("../menu/side-menu.php"); ?>

        <div class="page-wrapper">
            <!-- ============================================================== -->
            <!-- Bread crumb and right sidebar toggle -->
            <!-- ============================================================== -->
            <div class="page-breadcrumb">
                <div class="row">
                    <div class="col-7 align-self-center">
                        <h3 class="page-title text-truncate text-dark font-weight-medium mb-1">Lista de entradas y salidas</h3>
                        <button class="btn btn-primary" data-toggle="modal" data-target="#modalRestart">Reiniciar entradas y salidas</button>
                    </div>
                </div>
            </div>

            <div class="container-fluid">

                <div class="card">
                    <div class="card-body">
                        <div id="check">
                        <?php if (mysqli_num_rows($rentradas_salidas)>0) { ?>

                        <table class="table" id="tabla-productos">
                          <thead class="thead-dark">
                            <tr>
                              <th scope="col" class="table-especial">#</th>
                              <th scope="col" class="table-especial">Empleado</th>
                              <th scope="col" class="table-especial">Acci&oacute;n</th>
                              <th scope="col" class="table-especial">Rol</th>
                              <th scope="col" class="table-especial">Hora</th>
                              <th scope="col" class="table-especial">Fecha</th>
                          </thead>
                          <tbody>
                            <?php 
                                $cont = 0;
                                if ($rentradas_salidas)
                                {
                                while($array = $rentradas_salidas->fetch_object())
                                    {
                                        $id           = $array->id;
                                        $id_empleado  = $array->id_empleado;
                                        $hora         = $array->hora;
                                        $fecha        = $array->fecha;
                                        $accion       = $array->accion;
                                        $cont++;

                                        $rempleado = $mysqli->query("SELECT * FROM administradores WHERE id=$id_empleado");
                                        if ($rempleado)
                                        {
                                          if (mysqli_num_rows($rempleado)>0) {
                                            while($array = $rempleado->fetch_object())
                                            {
                                              $nombre = $array->nombre;
                                              $rol    = $array->rol;
                                            }
                                          }else{
                                            $nombre = "No se encontr&oacute; a este empleado";
                                            $rol    = "No se encontr&oacute; a este empleado";
                                          }
                                        }

                                        if ($accion === "Ingreso") {
                                          $accion = "<p class='text-success'>Ingreso</p>";
                                        }else if ($accion === "Egreso") {
                                          $accion = "<p class='text-danger'>Egreso</p>";
                                        }
                            ?>
                                    <tr>
                                        <th scope="row"><?php echo $cont; ?></th>
                                        <td><?php echo $nombre; ?></td>
                                        <td><?php echo $accion; ?></td>
                                        <td><?php echo $rol; ?></td>
                                        <td><?php echo $hora; ?></td>
                                        <td><?php echo $fecha; ?></td>
                                    </tr>
                            <?php 
                                    }
                                }
                            ?>
                          </tbody>
                        </table>

                        <?php }else{ ?>
                        <h3>No hay registro de Entradas y salidas</h3>
                        <?php } ?>
                        </div>
                    </div>
                </div>

            </div>

            <?php include_once("../menu/footer.php"); ?>

        </div>
        <!-- ============================================================== -->
        <!-- End Page wrapper  -->
        <!-- ============================================================== -->
    </div>

    <!-- MODALS -->
    <!-- Modal DELETE -->
    <div class="modal fade" id="modalDelete" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
      <div class="modal-dialog modal-dialog-centered" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title" id="exampleModalCenterTitle">Eliminar empleado</h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body">
            &iquest;Seguro que deseas eliminar este empleado?
            <input type="hidden" id="id_delete" readonly required/>
          </div>
          <div class="modal-footer">
              <button type="button" class="btn btn-primary" data-dismiss="modal" aria-label="Close">Cancelar</button>
              <button type="button" onclick="eliminar_producto()" class="btn btn-outline-danger">Eliminar</button>
          </div>
        </div>
      </div>
    </div>

    <!-- Modal SHOW -->
    <div class="modal fade" id="modalShow" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
      <div class="modal-dialog modal-dialog-centered" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title" id="exampleModalCenterTitle">Informaci&oacute;n del empleado</h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body">
            
            <div id="info"></div>

          </div>
          <div class="modal-footer">
              <button type="button" class="btn btn-primary" data-dismiss="modal" aria-label="Close">Cerrar</button>
        </div>
      </div>
    </div>
  </div>

  <!-- Modal REINICIAR -->
  <div class="modal fade bd-example-modal-lg" id="modalRestart" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
    <div class="modal-dialog modal-lg" role="document">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="exampleModalCenterTitle">Reiniciar entradas y salidas</h5>
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <div class="modal-body">
          <h3>&iquest;Seguro que deseas reinicar las entradas y salidas?</h3>
          <p>Se eliminaran los registros de las entradas y salidas actuales</p>
        </div>
        <div class="modal-footer">
            <button type="button" class="btn btn-primary" data-dismiss="modal" aria-label="Close">Cerrar</button>
            <button type="button" class="btn btn-danger" onclick="reiniciar_todo('entradas_salidas')">S&iacute;, reiniciar</button>
       </div>
      </div>
    </div>
  </div>
    
    <?php include_once("../helpers/js.html"); ?>

    <script type="text/javascript">
      $(document).ready(function() {
          $('#tabla-productos').DataTable( {
              language: {
                  search: "B&uacute;squeda:",
                  processing:    "Traitement en cours...",
                  lengthMenu:    "Filtrar _MENU_ registros",
                  info:           "_START_ - _END_ de _TOTAL_ registros",
                  infoEmpty:      "No hay resultados",
                  infoFiltered:   "(filtro de _MAX_ registros)",
                  infoPostFix:    "",
                  loadingRecords: "Chargement en cours...",
                  zeroRecords:    "No se encontr&oacute; resultado de esta b&uacute;squeda",
                  emptyTable:     "Aucune donnée disponible dans le tableau",
                  paginate: {
                      first:      "Inicio",
                      previous:   "Anterior",
                      next:       "Siguiente",
                      last:       "Final"
                  },
                  aria: {
                      sortAscending:  ": activer pour trier la colonne par ordre croissant",
                      sortDescending: ": activer pour trier la colonne par ordre décroissant"
                  }
              }
          } );
      } );
    </script>
</body>

</html>