<?php 
    session_start();
    include_once("../helpers/session_check.php");
    include_once("../private/conexion.php");
    $rmas_vendidos = $mysqli->query("SELECT DISTINCT(cd.id_tproducto), ( SELECT COUNT(cds.id_tproducto) FROM car_order cds WHERE cd.id_tproducto = cds.id_tproducto ) as contador, ( SELECT SUM(cdt.cantidad) FROM car_order cdt WHERE cd.id_tproducto = cdt.id_tproducto) as suma FROM `car_order` cd WHERE 1 ORDER BY suma DESC");
?>
<!DOCTYPE html>
<html dir="ltr" lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <!-- Tell the browser to be responsive to screen width -->
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="author" content="">
    <title>M&aacute;s vendidos - Punto de venta</title>

    <?php include_once("../helpers/css.html"); ?>
</head>

<body>

    <div class="preloader">
        <div class="lds-ripple">
            <div class="lds-pos"></div>
            <div class="lds-pos"></div>
        </div>
    </div>

    <div id="main-wrapper" data-theme="light" data-layout="vertical" data-navbarbg="skin6" data-sidebartype="full"
        data-sidebar-position="fixed" data-header-position="fixed" data-boxed-layout="full">
        
        <?php include_once("../menu/header.php"); ?>

        <?php include_once("../menu/side-menu.php"); ?>

        <div class="page-wrapper">
            <!-- ============================================================== -->
            <!-- Bread crumb and right sidebar toggle -->
            <!-- ============================================================== -->
            <div class="page-breadcrumb">
                <div class="row">
                    <div class="col-7 align-self-center">
                        <h3 class="page-title text-truncate text-dark font-weight-medium mb-1">Lista de M&aacute;s vendidos</h3>
                    </div>
                </div>
            </div>

            <div class="container-fluid">

                <div class="card">
                    <div class="card-body">
                        <div id="check">
                        <?php if (mysqli_num_rows($rmas_vendidos)>0) { ?>

                        <table class="table" id="tabla-productos">
                          <thead class="thead-dark">
                            <tr>
                              <th>#</th>
                              <th>Producto</th>
                              <!-- <th>Precio unit.</th> -->
                              <!-- <th>Total</th> -->
                              <th>Cantidad vendida</th>
                          </thead>
                          <tbody>
      <?php 
        $cont = 0;
        $precio = 0;
        if ($rmas_vendidos)
        {
          while($array = $rmas_vendidos->fetch_object())
          {
            $id_producto = $array->id_tproducto;
            // $cantidad    = $array->cantidad;
            $contador    = $array->contador;
            $suma        = $array->suma;
            
            $cont++;
          
            $rproducto = $mysqli->query("SELECT * FROM t_productos WHERE id=$id_producto");
            if ($rproducto)
            {
              if (mysqli_num_rows($rproducto)>0) {
                while($array = $rproducto->fetch_object())
                {
                  $nombre      = $array->nombre;
                  $descripcion = $array->descripcion;
                  $precio      = $array->precio_venta;
                  //$img_product = $array->img_product;
                }
              }else{
                $nombre = "No se recupero este dato";
              }
            }
          
        ?>
            <td><?php echo $cont; ?></td>
            <td><?php echo $nombre; ?></td>
            <!-- <td>$<?php //echo $precio; ?></td> -->
            <!-- <td>$<?php //echo $precio * $suma; ?></td> -->
            <td><?php echo number_format($suma); ?> piezas</td>
        </tr>
        <?php 
          }
        }
        ?>
                          </tbody>
                        </table>

                        <?php }else{ ?>
                        <h3>No hay registro de M&aacute;s vendidos</h3>
                        <?php } ?>
                        </div>
                    </div>
                </div>

            </div>

            <?php include_once("../menu/footer.php"); ?>

        </div>
        <!-- ============================================================== -->
        <!-- End Page wrapper  -->
        <!-- ============================================================== -->
    </div>

    <!-- MODALS -->
    <!-- Modal DELETE -->
    <div class="modal fade" id="modalDelete" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
      <div class="modal-dialog modal-dialog-centered" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title" id="exampleModalCenterTitle">Eliminar empleado</h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body">
            &iquest;Seguro que deseas eliminar este empleado?
            <input type="hidden" id="id_delete" readonly required/>
          </div>
          <div class="modal-footer">
              <button type="button" class="btn btn-primary" data-dismiss="modal" aria-label="Close">Cancelar</button>
              <button type="button" onclick="eliminar_producto()" class="btn btn-outline-danger">Eliminar</button>
          </div>
        </div>
      </div>
    </div>

    <!-- Modal SHOW -->
    <div class="modal fade" id="modalShow" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
      <div class="modal-dialog modal-dialog-centered" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title" id="exampleModalCenterTitle">Informaci&oacute;n del empleado</h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body">
            
            <div id="info"></div>

          </div>
          <div class="modal-footer">
              <button type="button" class="btn btn-primary" data-dismiss="modal" aria-label="Close">Cerrar</button>
          </div>
        </div>
      </div>
    </div>      
    
    <?php include_once("../helpers/js.html"); ?>

    <script type="text/javascript">
      $(document).ready(function() {
          $('#tabla-productos').DataTable( {
              language: {
                  search: "B&uacute;squeda:",
                  processing:    "Traitement en cours...",
                  lengthMenu:    "Filtrar _MENU_ registros",
                  info:           "_START_ - _END_ de _TOTAL_ registros",
                  infoEmpty:      "No hay resultados",
                  infoFiltered:   "(filtro de _MAX_ registros)",
                  infoPostFix:    "",
                  loadingRecords: "Chargement en cours...",
                  zeroRecords:    "No se encontr&oacute; resultado de esta b&uacute;squeda",
                  emptyTable:     "Aucune donnée disponible dans le tableau",
                  paginate: {
                      first:      "Inicio",
                      previous:   "Anterior",
                      next:       "Siguiente",
                      last:       "Final"
                  },
                  aria: {
                      sortAscending:  ": activer pour trier la colonne par ordre croissant",
                      sortDescending: ": activer pour trier la colonne par ordre décroissant"
                  }
              }
          } );
      } );
    </script>
</body>

</html>