<?php 
    session_start();
    include_once("../helpers/session_check.php");
    include_once("../private/conexion.php");
    $rstock = $mysqli->query("SELECT * FROM paquetes;");
?>
<!DOCTYPE html>
<html dir="ltr" lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <!-- Tell the browser to be responsive to screen width -->
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="author" content="">
    <title>Paquetes - Punto de venta</title>

    <?php include_once("../helpers/css.html"); ?>
</head>

<body>

    <div class="preloader">
        <div class="lds-ripple">
            <div class="lds-pos"></div>
            <div class="lds-pos"></div>
        </div>
    </div>

    <div id="main-wrapper" data-theme="light" data-layout="vertical" data-navbarbg="skin6" data-sidebartype="full"
        data-sidebar-position="fixed" data-header-position="fixed" data-boxed-layout="full">
        
        <?php include_once("../menu/header.php"); ?>

        <?php include_once("../menu/side-menu.php"); ?>

        <div class="page-wrapper">
            <!-- ============================================================== -->
            <!-- Bread crumb and right sidebar toggle -->
            <!-- ============================================================== -->
            <div class="page-breadcrumb">
                <div class="row">
                    <div class="col-7 align-self-center">
                        <h3 class="page-title text-truncate text-dark font-weight-medium mb-1">Lista de paquetes</h3>
                        <div class="d-flex align-items-center">
                            <nav aria-label="breadcrumb">
                                <ol class="breadcrumb m-0 p-0">
                                    <li class="breadcrumb-item"><a href="./add-package.php">Agregar nuevo paquete</a>
                                    </li>
                                </ol>
                            </nav>
                        </div>
                    </div>
                </div>
            </div>

            <div class="container-fluid">

                <div class="card">
                    <div class="card-body">
                        <div id="check">
                        <?php if (mysqli_num_rows($rstock)>0) { ?>

                        <table class="table" id="tabla-paquetes">
                          <thead class="thead-dark">
                            <tr>
                              <th scope="col" class="table-especial">#</th>
                              <th scope="col" class="table-especial">Nombre</th>
                              <th scope="col" class="table-especial">Producto</th>
                              <th scope="col" class="table-especial">Cantidad</th>
                              <th scope="col" class="table-especial">Precio de venta</th>
                              <th scope="col" class="table-especial">Acciones</th>
                          </thead>
                          <tbody>
                            <?php 
                                $cont = 0;
                                if ($rstock)
                                {
                                while($array = $rstock->fetch_object())
                                    {
                                        $id_paquete       = $array->id;
                                        $id_producto      = $array->id_producto;
                                        $cantidad_paquete = $array->cantidad;
                                        $precio_paquete   = $array->precio;
                                        $nombre_paquete   = $array->nombre;
                                        $cont++;

                                        $rproducto = $mysqli->query("SELECT * FROM t_productos WHERE codigo = '$id_producto'");
                                        if($rproducto && mysqli_num_rows($rproducto)>0) {
                                          $array_producto = $rproducto->fetch_object();
                                          $nombre_producto = $array_producto->nombre;
                                        } else {
                                          $nombre_producto = "Nombre del producto no encontrado";
                                        }
                            ?>
                                    <tr>
                                        <th scope="row"><?php echo $cont; ?></th>
                                        <td><?php echo $nombre_paquete; ?></td>
                                        <td><?php echo $nombre_producto; ?></td>
                                        <td><?php echo $cantidad_paquete; ?></td>
                                        <td>$<?php echo $precio_paquete; ?></td>
                                        <td class="text-center">
                                            <!-- <button class="btn btn-info" onclick="product_option('<?php echo $id; ?>','show')"><i class="bi bi-eye"></i></button> -->
                                            <!-- <button class="btn btn-success" onclick="product_option('<?php echo $codigo; ?>','print')"><i class="bi bi-printer"></i></button> -->
                                            <!-- <a class="btn btn-success" href="../assets/pdfs/products/<?php echo $pdf; ?>" download=""><i class="bi bi-printer"></i></a> -->
                                            <?php if ($rol_i == 1) { ?>
                                            <button class="btn btn-warning" onclick="package_option('<?php echo $id_paquete; ?>','edit')"><i class="bi bi-pencil-square"></i></button>
                                            <button class="btn btn-danger" onclick="package_option('<?php echo $id_paquete; ?>','delete')"><i class="bi bi-trash"></i></button>
                                            <?php } ?>
                                        </td>
                                    </tr>
                            <?php 
                                    }
                                }
                            ?>
                          </tbody>
                        </table>

                        <?php }else{ ?>
                        <h3>No hay registro de productos</h3>
                        <?php } ?>
                        </div>
                    </div>
                </div>

            </div>

            <?php include_once("../menu/footer.php"); ?>

        </div>
        <!-- ============================================================== -->
        <!-- End Page wrapper  -->
        <!-- ============================================================== -->
    </div>

    <!-- MODALS -->
    <!-- Modal DELETE -->
    <div class="modal fade" id="modalDelete" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
      <div class="modal-dialog modal-dialog-centered" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title" id="exampleModalCenterTitle">Eliminar paquete</h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body">
            &iquest;Seguro que deseas eliminar este paquete?
            <input type="hidden" id="id_delete" readonly required/>
          </div>
          <div class="modal-footer">
              <button type="button" class="btn btn-primary" data-dismiss="modal" aria-label="Close">Cancelar</button>
              <button type="button" onclick="eliminar_paquete()" class="btn btn-outline-danger">Eliminar</button>
          </div>
        </div>
      </div>
    </div>

    <!-- Modal SHOW -->
    <div class="modal fade" id="modalShow" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
      <div class="modal-dialog modal-dialog-centered" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title" id="exampleModalCenterTitle">Informaci&oacute;n del producto</h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body">
            
            <div id="info"></div>

          </div>
          <div class="modal-footer">
              <button type="button" class="btn btn-primary" data-dismiss="modal" aria-label="Close">Cerrar</button>
          </div>
        </div>
      </div>
    </div>
    
    <?php include_once("../helpers/js.html"); ?>

    <script type="text/javascript">
      $(document).ready(function() {
          $('#tabla-productos').DataTable( {
              language: {
                  search: "B&uacute;squeda:",
                  processing:    "Traitement en cours...",
                  lengthMenu:    "Filtrar _MENU_ registros",
                  info:           "_START_ - _END_ de _TOTAL_ registros",
                  infoEmpty:      "No hay resultados",
                  infoFiltered:   "(filtro de _MAX_ registros)",
                  infoPostFix:    "",
                  loadingRecords: "Chargement en cours...",
                  zeroRecords:    "No se encontr&oacute; resultado de esta b&uacute;squeda",
                  emptyTable:     "Aucune donnée disponible dans le tableau",
                  paginate: {
                      first:      "Inicio",
                      previous:   "Anterior",
                      next:       "Siguiente",
                      last:       "Final"
                  },
                  aria: {
                      sortAscending:  ": activer pour trier la colonne par ordre croissant",
                      sortDescending: ": activer pour trier la colonne par ordre décroissant"
                  }
              }
          } );
      } );
    </script>
</body>

</html>