<?php
session_start();
include_once("../helpers/session_check.php");
include_once("../private/conexion.php");
$rproveedores = $mysqli->query("SELECT * FROM proveedores ORDER BY razon_social ASC");
?>
<!DOCTYPE html>
<html dir="ltr" lang="en">

<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <!-- Tell the browser to be responsive to screen width -->
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <meta name="description" content="">
  <meta name="author" content="">
  <title>Proveedores - Punto de venta</title>

  <?php include_once("../helpers/css.html"); ?>
</head>

<body>

  <div class="preloader">
    <div class="lds-ripple">
      <div class="lds-pos"></div>
      <div class="lds-pos"></div>
    </div>
  </div>

  <div id="main-wrapper" data-theme="light" data-layout="vertical" data-navbarbg="skin6" data-sidebartype="full" data-sidebar-position="fixed" data-header-position="fixed" data-boxed-layout="full">

    <?php include_once("../menu/header.php"); ?>

    <?php include_once("../menu/side-menu.php"); ?>

    <div class="page-wrapper">
      <!-- ============================================================== -->
      <!-- Bread crumb and right sidebar toggle -->
      <!-- ============================================================== -->
      <div class="page-breadcrumb">
        <div class="row">
          <div class="col-7 align-self-center">
            <h3 class="page-title text-truncate text-dark font-weight-medium mb-1">Lista de proveedores</h3>
            <div class="d-flex align-items-center">
              <nav aria-label="breadcrumb">
                <ol class="breadcrumb m-0 p-0">
                  <li class="breadcrumb-item"><a href="./add-provider.php">Agregar nuevo proveedor</a>
                  </li>
                </ol>
              </nav>
            </div>
          </div>
        </div>
      </div>

      <div class="container-fluid">

        <div class="card">
          <div class="card-body">
            <div id="check">
              <?php if (mysqli_num_rows($rproveedores) > 0) { ?>

                <table class="table" id="tabla-clientes">
                  <thead class="thead-dark">
                    <tr>
                      <th scope="col" class="table-especial">#</th>
                      <th scope="col" class="table-especial">Raz&oacute;n social</th>
                      <th scope="col" class="table-especial">Tipo de raz&oacute;n social</th>
                      <th scope="col" class="table-especial">RFC</th>
                      <th scope="col" class="table-especial">Teléfono</th>
                      <?php if ($rol_i == 1) { ?>
                        <th scope="col" class="table-especial">Acciones</th>
                      <?php } ?>
                  </thead>
                  <tbody>
                    <?php
                    $cont = 0;
                    if ($rproveedores) {
                      while ($array = $rproveedores->fetch_object()) {
                        $id                 = $array->id;
                        $razon_social       = $array->razon_social;
                        $tipo_razon_social  = $array->tipo_razon_social;
                        $rfc                = $array->rfc;
                        $telefono           = $array->telefono;
                        $encargado          = $array->encargado;
                        $pdf               = $array->pdf;
                        $cont++;

                        if (empty($telefono)) {
                          $telefono = "<p class='text-danger'>No registrado</p>";
                        }

                        if (empty($direccion)) {
                          $direccion = "<p class='text-danger'>No registrada</p>";
                        }
                    ?>
                        <tr>
                          <td><?php echo $cont ?></td>
                          <td><?php echo $razon_social ?></td>
                          <td><?php echo $tipo_razon_social ?></td>
                          <td><?php echo $rfc ?></td>
                          <td><?php echo $telefono ?></td>
                          <?php if ($rol_i == 1) { ?>
                            <td>
                              <button class="btn btn-info" onclick="provider_option('<?php echo $encargado; ?>','show')"><i class="bi bi-eye"></i></button>
                              <?php if($pdf != ""){ ?>
                                <a class="btn btn-success" href="../assets/pdfs/providers/<?php echo $pdf; ?>" download=""><i class="bi bi-printer"></i></a>
                              <?php } ?>
                              <button class="btn btn-warning" onclick="provider_option('<?php echo $id; ?>','edit')"><i class="bi bi-pencil-square"></i></button>
                              <button class="btn btn-danger" onclick="provider_option('<?php echo $id; ?>','delete')"><i class="bi bi-trash"></i></button>
                            </td>
                          <?php } ?>
                        </tr>
                    <?php
                      }
                    }
                    ?>
                  </tbody>
                </table>

              <?php } else { ?>
                <h3>No hay registro de proveedores</h3>
              <?php } ?>
            </div>
          </div>
        </div>

      </div>

      <?php include_once("../menu/footer.php"); ?>

    </div>
    <!-- ============================================================== -->
    <!-- End Page wrapper  -->
    <!-- ============================================================== -->
  </div>

  <!-- MODALS -->
  <!-- Modal DELETE -->
  <div class="modal fade" id="modalDelete" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered" role="document">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="exampleModalCenterTitle">Eliminar proveedor</h5>
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <div class="modal-body">
          &iquest;Seguro que deseas eliminar este proveedor?
          <input type="hidden" id="id_delete" readonly required />
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-primary" data-dismiss="modal" aria-label="Close">Cancelar</button>
          <button type="button" onclick="eliminar_proveedor()" class="btn btn-outline-danger">Eliminar</button>
        </div>
      </div>
    </div>
  </div>

  <!-- Modal SHOW -->
  <div class="modal fade" id="modalShow" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered" role="document">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="exampleModalCenterTitle">Informaci&oacute;n del encargado responsable</h5>
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <div class="modal-body">

          <div id="info"></div>

        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-primary" data-dismiss="modal" aria-label="Close">Cerrar</button>
        </div>
      </div>
    </div>
  </div>

  <?php include_once("../helpers/js.html"); ?>

  <script type="text/javascript">
    $(document).ready(function() {
      $('#tabla-clientes').DataTable({
        language: {
          search: "B&uacute;squeda:",
          processing: "Traitement en cours...",
          lengthMenu: "Filtrar _MENU_ registros",
          info: "_START_ - _END_ de _TOTAL_ registros",
          infoEmpty: "No hay resultados",
          infoFiltered: "(filtro de _MAX_ registros)",
          infoPostFix: "",
          loadingRecords: "Chargement en cours...",
          zeroRecords: "No se encontr&oacute; resultado de esta b&uacute;squeda",
          emptyTable: "Aucune donnée disponible dans le tableau",
          paginate: {
            first: "Inicio",
            previous: "Anterior",
            next: "Siguiente",
            last: "Final"
          },
          aria: {
            sortAscending: ": activer pour trier la colonne par ordre croissant",
            sortDescending: ": activer pour trier la colonne par ordre décroissant"
          }
        }
      });
    });
  </script>
</body>

</html>