<?php
session_start();
include_once("../helpers/session_check.php");
include_once("../private/conexion.php");
$rstock = $mysqli->query("SELECT * FROM devoluciones ORDER BY fecha DESC");
?>
<!DOCTYPE html>
<html dir="ltr" lang="en">

<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <!-- Tell the browser to be responsive to screen width -->
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <meta name="description" content="">
  <meta name="author" content="">
  <title>Devoluciones - Punto de venta</title>

  <?php include_once("../helpers/css.html"); ?>
</head>

<body>

  <div class="preloader">
    <div class="lds-ripple">
      <div class="lds-pos"></div>
      <div class="lds-pos"></div>
    </div>
  </div>

  <div id="main-wrapper" data-theme="light" data-layout="vertical" data-navbarbg="skin6" data-sidebartype="full" data-sidebar-position="fixed" data-header-position="fixed" data-boxed-layout="full">

    <?php include_once("../menu/header.php"); ?>

    <?php include_once("../menu/side-menu.php"); ?>

    <div class="page-wrapper">
      <!-- ============================================================== -->
      <!-- Bread crumb and right sidebar toggle -->
      <!-- ============================================================== -->
      <div class="page-breadcrumb">
        <div class="row">
          <div class="col-7 align-self-center">
            <h3 class="page-title text-truncate text-dark font-weight-medium mb-1">Lista de devoluciones</h3>
            <div class="d-flex align-items-center">
              <nav aria-label="breadcrumb">
                <ol class="breadcrumb m-0 p-0">
                  <li class="breadcrumb-item"><a href="./add-return.php">Registrar nueva devolución</a>
                  </li>
                </ol>
              </nav>
            </div>
          </div>
        </div>
      </div>

      <div class="container-fluid">

        <div class="card">
          <div class="card-body">
            <div id="check">
              <?php if (mysqli_num_rows($rstock) > 0) { ?>

                <table class="table" id="tabla-devoluciones">
                  <thead class="thead-dark">
                    <tr>
                      <th scope="col" class="table-especial">#</th>
                      <th scope="col" class="table-especial">Producto</th>
                      <th scope="col" class="table-especial">Cantidad</th>
                      <th scope="col" class="table-especial">Unidad</th>
                      <th scope="col" class="table-especial">Razón</th>
                      <th scope="col" class="table-especial">Fecha</th>
                      <th scope="col" class="table-especial">Acciones</th>
                  </thead>
                  <tbody>
                    <?php
                    $cont = 0;
                    if ($rstock) {
                      while ($array = $rstock->fetch_object()) {
                        $id_devolucion        = $array->id;
                        $fecha_devolucion     = $array->fecha;
                        $producto_devolucion  = $array->producto;
                        $cantidad_devolucion  = $array->cantidad;
                        $defecto_devolucion   = $array->defecto;
                        $cont++;

                        $rproducto = $mysqli->query("SELECT * FROM t_productos WHERE id = '$producto_devolucion'");
                        $array_producto = $rproducto->fetch_object();
                        $nombre_producto = $array_producto->nombre;
                        $unidad_producto = $array_producto->metodo;
                    ?>
                        <tr>
                          <th scope="row"><?php echo $cont; ?></th>
                          <td><?php echo $nombre_producto; ?></td>
                          <td><?php echo $cantidad_devolucion; ?></td>
                          <td><?php echo $unidad_producto; ?></td>
                          <td><?php echo $defecto_devolucion; ?></td>
                          <td><?php echo $fecha_devolucion; ?></td>
                          <td class="text-center">
                            <?php if ($rol_i == 1) { ?>
                              <!-- TODO: Adaptar para editar y eliminar devoluciones -->
                              <button class="btn btn-warning" onclick="return_option('<?php echo $id_devolucion; ?>','edit')"><i class="bi bi-pencil-square"></i></button>
                              <button class="btn btn-danger" onclick="return_option('<?php echo $id_devolucion; ?>','delete')"><i class="bi bi-trash"></i></button>
                            <?php } ?>
                          </td>
                        </tr>
                    <?php
                      }
                    }
                    ?>
                  </tbody>
                </table>

              <?php } else { ?>
                <h3>No hay registro de productos</h3>
              <?php } ?>
            </div>
          </div>
        </div>

      </div>

      <?php include_once("../menu/footer.php"); ?>

    </div>
    <!-- ============================================================== -->
    <!-- End Page wrapper  -->
    <!-- ============================================================== -->
  </div>

  <!-- MODALS -->
  <!-- Modal DELETE -->
  <div class="modal fade" id="modalDelete" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered" role="document">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="exampleModalCenterTitle">Eliminar devolución</h5>
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <div class="modal-body">
          &iquest;Seguro que deseas eliminar esta devolución?
          <input type="hidden" id="id_delete" readonly required />
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-primary" data-dismiss="modal" aria-label="Close">Cancelar</button>
          <button type="button" onclick="eliminar_devolucion()" class="btn btn-outline-danger">Eliminar</button>
        </div>
      </div>
    </div>
  </div>

  <!-- Modal SHOW -->
  <div class="modal fade" id="modalShow" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered" role="document">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="exampleModalCenterTitle">Informaci&oacute;n del producto</h5>
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <div class="modal-body">

          <div id="info"></div>

        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-primary" data-dismiss="modal" aria-label="Close">Cerrar</button>
        </div>
      </div>
    </div>
  </div>

  <?php include_once("../helpers/js.html"); ?>

  <script type="text/javascript">
    $(document).ready(function() {
      $('#tabla-devoluciones').DataTable({
        language: {
          search: "B&uacute;squeda:",
          processing: "Traitement en cours...",
          lengthMenu: "Filtrar _MENU_ registros",
          info: "_START_ - _END_ de _TOTAL_ registros",
          infoEmpty: "No hay resultados",
          infoFiltered: "(filtro de _MAX_ registros)",
          infoPostFix: "",
          loadingRecords: "Chargement en cours...",
          zeroRecords: "No se encontr&oacute; resultado de esta b&uacute;squeda",
          emptyTable: "Aucune donnée disponible dans le tableau",
          paginate: {
            first: "Inicio",
            previous: "Anterior",
            next: "Siguiente",
            last: "Final"
          },
          aria: {
            sortAscending: ": activer pour trier la colonne par ordre croissant",
            sortDescending: ": activer pour trier la colonne par ordre décroissant"
          }
        }
      });
    });
  </script>
</body>

</html>