<?php 
    session_start();
    include_once("../helpers/session_check.php");
    include_once("../private/conexion.php");
    $rventas = $mysqli->query("SELECT * FROM venta WHERE estado='Pendiente' ORDER BY id DESC");
?>
<!DOCTYPE html>
<html dir="ltr" lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <!-- Tell the browser to be responsive to screen width -->
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="author" content="">
    <title>Ventas a cr&eacute;dito - Punto de venta</title>

    <?php include_once("../helpers/css.html"); ?>
</head>

<body>

    <div class="preloader">
        <div class="lds-ripple">
            <div class="lds-pos"></div>
            <div class="lds-pos"></div>
        </div>
    </div>

    <div id="main-wrapper" data-theme="light" data-layout="vertical" data-navbarbg="skin6" data-sidebartype="full"
        data-sidebar-position="fixed" data-header-position="fixed" data-boxed-layout="full">
        
        <?php include_once("../menu/header.php"); ?>

        <?php include_once("../menu/side-menu.php"); ?>

        <div class="page-wrapper">
            <!-- ============================================================== -->
            <!-- Bread crumb and right sidebar toggle -->
            <!-- ============================================================== -->
            <div class="page-breadcrumb">
                <div class="row">
                    <div class="col-7 align-self-center">
                        <h3 class="page-title text-truncate text-dark font-weight-medium mb-1">Lista de ventas a cr&eacute;dito</h3>
                    </div>
                </div>
            </div>

            <div class="container-fluid">

                <div class="card">
                    <div class="card-body">
                        <div id="check">
                        <?php if (mysqli_num_rows($rventas)>0) { ?>

                        <table class="table bg-info text-dark table-hover" id="tabla-ventas">
                          <thead class="thead-dark">
                            <tr>
                              <th scope="col" class="table-especial"># folio</th>
                              <th scope="col" class="table-especial">Total</th>
                              <th scope="col" class="table-especial">Cliente</th>
                              <th scope="col" class="table-especial">Forma de pago</th>
                              <th scope="col" class="table-especial">Estado</th>
                              <th scope="col" class="table-especial">Fecha y hora</th>
                              <th scope="col" class="table-especial">Acciones</th>
                          </thead>
                          <tbody>
                            <?php 
                                $cont = 0;
                                if ($rventas)
                                {
                                while($array = $rventas->fetch_object())
                                    {
                                        $id         = $array->id;
                                        $refer      = $array->refer;
                                        $fecha      = $array->fecha;
                                        $total      = $array->total;
                                        $cliente    = $array->cliente;
                                        $estado     = $array->estado;
                                        $forma_pago = $array->forma_pago;
                                        $cont++;
                            ?>
                                    <tr>
                                        <th scope="row"><?php echo $id; ?></th>
                                        <td>$<?php echo $total; ?></td>
                                        <td><?php echo $cliente; ?></td>
                                        <td><?php echo $forma_pago; ?></td>
                                        <td <?php if ($estado==="Pagado") { echo "class='text-success'"; }else{ echo "class='text-danger'"; } ?>><?php echo $estado; ?></td>
                                        <td><?php echo $fecha; ?></td>
                                        <td class="text-center">
                                            <button class="btn btn-info" onclick="sell_option('<?php echo $id; ?>','show')"><i class="bi bi-eye"></i></button>

                                            <button class="btn btn-success" onclick="abonar_venta('<?php echo $id; ?>','show')"><i class="bi bi-cash"></i></i></button>

                                            <button class="btn btn-outline-dark" onclick="reimprimir_ticket_venta('<?php echo $id; ?>','<?php echo $fecha; ?>','<?php echo $refer; ?>','<?php echo $total; ?>','<?php echo $cliente; ?>','<?php echo $estado; ?>','<?php echo $forma_pago; ?>')"><i class="bi bi-printer"></i></button>
                                            <!-- <button class="btn btn-danger" onclick="sell_option('<?php //echo $id; ?>','delete')"><i class="bi bi-trash"></i></button> -->
                                        </td>
                                    </tr>
                            <?php 
                                    }
                                }
                            ?>
                          </tbody>
                        </table>

                        <?php }else{ ?>
                        <h3>No hay registro de ventas</h3>
                        <?php } ?>
                        </div>
                    </div>
                </div>

            </div>

            <?php include_once("../menu/footer.php"); ?>

        </div>
        <!-- ============================================================== -->
        <!-- End Page wrapper  -->
        <!-- ============================================================== -->
    </div>

    <!-- MODALS -->
    <!-- Modal ABONAR -->
    <div class="modal fade" id="modalAbonar" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
      <div class="modal-dialog modal-dialog-centered" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title" id="exampleModalCenterTitle">Abonar a venta</h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body">
            <h3>Monto a abonar</h3>
            <input type="hidden" id="id_venta" readonly required/>
            <input type="number" step="0.01" id="abono" class="form-control" placeholder="Monto a abonar">
          </div>
          <div class="modal-footer">
              <button type="button" class="btn btn-primary" data-dismiss="modal" aria-label="Close">Cancelar</button>
              <button type="button" onclick="agregar_abono_venta()" class="btn btn-outline-success">Continuar</button>
          </div>
        </div>
      </div>
    </div>

    <!-- Modal SHOW -->
    <div class="modal fade bd-example-modal-lg" id="modalShow" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
      <div class="modal-dialog modal-lg" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title" id="exampleModalCenterTitle">Informaci&oacute;n del producto</h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body">
            
            <div id="info" class="container"></div>

          </div>
          <div class="modal-footer">
              <button type="button" class="btn btn-primary" data-dismiss="modal" aria-label="Close">Cerrar</button>
          </div>
        </div>
      </div>
    </div>
    
    <?php include_once("../helpers/js.html"); ?>

    <script type="text/javascript">
      $(document).ready(function() {
          $('#tabla-ventas').DataTable( {
              language: {
                  search: "B&uacute;squeda:",
                  processing:    "Traitement en cours...",
                  lengthMenu:    "Filtrar _MENU_ registros",
                  info:           "_START_ - _END_ de _TOTAL_ registros",
                  infoEmpty:      "No hay resultados",
                  infoFiltered:   "(filtro de _MAX_ registros)",
                  infoPostFix:    "",
                  loadingRecords: "Chargement en cours...",
                  zeroRecords:    "No se encontr&oacute; resultado de esta b&uacute;squeda",
                  emptyTable:     "Aucune donnée disponible dans le tableau",
                  paginate: {
                      first:      "Inicio",
                      previous:   "Anterior",
                      next:       "Siguiente",
                      last:       "Final"
                  },
                  aria: {
                      sortAscending:  ": activer pour trier la colonne par ordre croissant",
                      sortDescending: ": activer pour trier la colonne par ordre décroissant"
                  }
              }
          } );
      } );
    </script>

    <script type="text/javascript">
      function abonar_venta(id){
        document.getElementById('id_venta').value = id;
        $('#modalAbonar').modal('show');
      }
    </script>
</body>

</html>