<?php 
require __DIR__ . '/ticket/autoload.php';
use Mike42\Escpos\Printer;
use Mike42\Escpos\EscposImage;
use Mike42\Escpos\PrintConnectors\WindowsPrintConnector;
setlocale(LC_ALL,"es_ES@euro","es_ES","esp");
date_default_timezone_set('UTC');
date_default_timezone_set("America/Mexico_City");

$nombre_impresora = "POS-58"; 

$connector = new WindowsPrintConnector($nombre_impresora);
$printer = new Printer($connector);

$printer->setJustification(Printer::JUSTIFY_CENTER);

try{
	$logo = EscposImage::load("ferreteria.png", false);
    $printer->bitImage($logo);
}catch(Exception $e){/*No hacemos nada si hay error*/}

$printer->text("FARMACIA LA PALMA" . "\n");
$printer->text("Carretera Estatal 101" . "\n");
$printer->text("Col. El Palmar 76540 Cadereyta de Montes, Qro." . "\n");
$printer->text("Teléfono: 441 118 7964" . "\n");
$d = date("d-m-Y");
$fecha_letra = strftime("%d de %B de %Y", strtotime($d));

$printer->text(date("H:i:s") . "\n");
$printer->text($fecha_letra . "\n");
$printer->text("-----------------------------" . "\n");
$printer->setJustification(Printer::JUSTIFY_LEFT);
$printer->text("CANT     DESCRIPCION       P.U.\n");
$printer->text("--------------------------------"."\n");

$printer->setJustification(Printer::JUSTIFY_LEFT);

// $cargo = $_GET['cargo'];
// $cliente = $_GET['cliente'];
// $carrito=unserialize($_POST["cartenvio"]);
// $total = 0;
$carrito=unserialize($_POST["cartenvio"]);
foreach ($carrito as $c) {
	$nombre = $c["product_name"];
	$precio = $c["product_price"];
	// $metodo = $c["metodo"];
	$cantidad = $c["cantidad"];

	// $total = $total + ($precio*$cantidad);
	$printer->setJustification(Printer::JUSTIFY_LEFT);
	$printer->text($cantidad." - ".$nombre." ($".$precio." unit.)\n");

	$printer->setJustification(Printer::JUSTIFY_RIGHT);
	$printer->text("$".$precio*$cantidad." \n\n");
}

$cliente       = $_POST['cliente'];
$pago_inicial  = $_POST['pago_inicial'];
$identificador = $_POST['identificador'];
$total         = $_POST['total'];
$forma_pago    = $_POST['forma_pago'];
$estado        = $_POST['estado'];

$printer->text("--------------------------------"."\n");
$printer->setJustification(Printer::JUSTIFY_LEFT);
//$printer->text("SUBTOTAL: $".$total."\n");
//$printer->text("IVA: $0.00\n");
$printer->text("FORMA DE PAGO: ".$estado."\n");
$printer->text("PAGO RECIBIDO: $".$pago_inicial."\n");
$printer->text("REFERENCIA: $".$identificador."\n");
$printer->text("TOTAL: $".$total."\n");
// $printer->text("Atendió: ".$cargo." \n");
$printer->text("CLIENTE: ".$cliente."\n\n");
$printer->setJustification(Printer::JUSTIFY_CENTER);
$printer->text("Pago ".$forma_pago.": $".($total-$pago_inicial)."\n\n");
$printer->text("Muchas gracias por su compra\n");

$printer->feed(5);
$printer->cut();
$printer->pulse();
$printer->close();

echo 1;
// header('Location: http://cactuslabs-projects.com/ferreteriaa/admin.php');
// header('Location: ../admin.php');
?>